#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x002aaf65, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xf6f7a65b, "");
SYMBOL_CRC(__bcma_driver_register, 0x6e4bdfa6, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xee907e28, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xbd7941fc, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xdafefb8a, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xf8cb88ee, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x63073ea3, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x94817771, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xf8374bd8, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xe0fc6707, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xa90a2d87, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x9d376c67, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x6c3e87c3, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x4dabd77e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x180a5d78, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xd275e7cb, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x60e673e1, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x0318a097, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xe6e42be1, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x9e5695bd, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xe12f542e, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x327b6e47, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xe1d70ab4, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xf3e8c3ed, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x57393fef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a1911a0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaacb1f58, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x3e4901ac, "gpiochip_get_data" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x61f00a9d, "device_add" },
	{ 0xc392ccee, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe673a741, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x3a04601a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xb7574ec3, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f2e9d59, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xd4a570dc, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7eefd2e9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x162ca443, "pci_disable_device" },
	{ 0x1a4e4c57, "pcie_set_readrq" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x48c62e18, "driver_register" },
	{ 0xec54d6b7, "__dev_fwnode" },
	{ 0x234df1b1, "pci_write_config_dword" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xced232c9, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x66cea98c, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0x6e627ccf, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x60a9d2f, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x911e654c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8154bbf, "device_initialize" },
	{ 0x170981ff, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3f825cdc, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06F2ABEEDD7CABF4026D05B");
