#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x1365dba5, "");
SYMBOL_CRC(ishtp_start, 0x1d6f27b1, "");
SYMBOL_CRC(ishtp_send_suspend, 0xa0c78532, "");
SYMBOL_CRC(ishtp_send_resume, 0x5d4a9465, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x8366c2c7, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x9cb5cb7a, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xcdb1207b, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xcefee524, "");
SYMBOL_CRC(ishtp_cl_free, 0x79c9df89, "");
SYMBOL_CRC(ishtp_cl_link, 0xbfd6fc0f, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x0ab95bc2, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x9c18b5f6, "");
SYMBOL_CRC(ishtp_cl_connect, 0x3ffd02ea, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xe1c89fa4, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x6a0961b1, "");
SYMBOL_CRC(ishtp_cl_send, 0x1ca4b7db, "");
SYMBOL_CRC(ishtp_get_client_data, 0x832d7ae1, "");
SYMBOL_CRC(ishtp_set_client_data, 0xb7e0cc67, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x9a087d3a, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x78f43e8e, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xccf6eec0, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xe1afbc3f, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xf4ceaa38, "");
SYMBOL_CRC(ishtp_recv, 0x801fce50, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x3d9b634c, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xda34614e, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x70407d17, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x40731a9c, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xb0a41b70, "");
SYMBOL_CRC(ishtp_get_device, 0x1d8a86fb, "");
SYMBOL_CRC(ishtp_put_device, 0xd62546fb, "");
SYMBOL_CRC(ishtp_set_drvdata, 0xd194d8ab, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xa5535f2b, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xf7bfd79f, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xafee093c, "");
SYMBOL_CRC(ishtp_reset_handler, 0xd18a4d02, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xa2ce5bb4, "");
SYMBOL_CRC(ishtp_device, 0xa5d07829, "");
SYMBOL_CRC(ishtp_wait_resume, 0xe185a46c, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x5f58cc89, "");
SYMBOL_CRC(ishtp_trace_callback, 0xb3b67c89, "");
SYMBOL_CRC(ish_hw_reset, 0xa6d6d959, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x6f7b9c9c, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x7055e674, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x06ee51ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaacb1f58, "put_device" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf92c7a4, "device_register" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x813a8f0a, "dev_err_probe" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x2cb80f2d, "__devm_add_action" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x48c62e18, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xced232c9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60a9d2f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe0691def, "request_firmware" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6ECF2D68156DDBAFD8AABD");
