#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0xbdebb15a, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x4324172c, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0x4b422911, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0x5ed62748, "_gpl");
SYMBOL_CRC(intel_th_free, 0xeea900b1, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x1986b94c, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0xc8f9232f, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x474c4cba, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x84a8de0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9e451b5, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaacb1f58, "put_device" },
	{ 0xad034c7a, "devm_free_irq" },
	{ 0x1746e0c6, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7fb95dbd, "module_put" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0x5ca92902, "bus_find_device" },
	{ 0x61f00a9d, "device_add" },
	{ 0x5af9cc4a, "noop_llseek" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0x46ab0c96, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x723e86e0, "device_del" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8bcdd74b, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x88a7c14c, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcc989c06, "dma_set_coherent_mask" },
	{ 0x83d1d46c, "sysfs_remove_group" },
	{ 0xc0886bd6, "pm_runtime_forbid" },
	{ 0x9afae4d0, "pm_runtime_allow" },
	{ 0xe7146a5b, "__pm_runtime_resume" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0x92c3d86e, "__register_chrdev" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x68739de9, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xb9919d07, "__pm_runtime_disable" },
	{ 0x48c62e18, "driver_register" },
	{ 0xc99477dd, "__pm_runtime_idle" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xced232c9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0x77473c44, "devm_request_threaded_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x8154bbf, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6d6e1bb, "device_for_each_child" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ED149CD22999A1994D10A44");
