#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0x1ce09f50, "mma9551_read_accel_chan" },
	{ 0x7ccfa480, "mma9551_read_status_words" },
	{ 0x5bd9b472, "mma9551_gpio_config" },
	{ 0xd0d0141, "i2c_client_get_device_id" },
	{ 0xbe94c63a, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa67daff1, "mma9551_read_version" },
	{ 0x77473c44, "devm_request_threaded_irq" },
	{ 0x1746e0c6, "pm_runtime_enable" },
	{ 0xb7a3fe25, "pm_runtime_set_autosuspend_delay" },
	{ 0xee5c8371, "__pm_runtime_use_autosuspend" },
	{ 0x86ee5f9e, "__iio_device_register" },
	{ 0x434b956f, "mma9551_read_config_words" },
	{ 0x201085e0, "mma9551_app_reset" },
	{ 0x608ea0f6, "mma9551_write_config_words" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xe4a2a634, "is_acpi_device_node" },
	{ 0x26118b58, "acpi_match_device" },
	{ 0x4f3f426b, "iio_push_event" },
	{ 0xa83f8a8c, "iio_enum_read" },
	{ 0x9523b3a9, "iio_enum_write" },
	{ 0x50d22219, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92d010e0, "i2c_register_driver" },
	{ 0x2204b12f, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x8e62e8ec, "iio_device_unregister" },
	{ 0xb9919d07, "__pm_runtime_disable" },
	{ 0xf9e451b5, "__pm_runtime_set_status" },
	{ 0xeab2c8e8, "iio_get_time_ns" },
	{ 0xc6a1667a, "mma9551_write_config_word" },
	{ 0x1b3c7d, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e5b2bc9, "mma9551_set_power_state" },
	{ 0x27ad8290, "i2c_del_driver" },
	{ 0x4e2afdac, "mma9551_read_status_word" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "F1242C485FB389CECBDB67B");
