#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6257a2f, "complete" },
	{ 0x1d9123d8, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3e676fca, "input_allocate_device" },
	{ 0x80407fa0, "input_set_capability" },
	{ 0x731e29aa, "input_set_abs_params" },
	{ 0xb22c695e, "input_alloc_absinfo" },
	{ 0x69a9f2a4, "input_mt_init_slots" },
	{ 0xd3cc9d6c, "input_free_device" },
	{ 0xf2f8971a, "input_register_device" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3bdb6620, "request_firmware_nowait" },
	{ 0xe0691def, "request_firmware" },
	{ 0xa630a51b, "device_property_present" },
	{ 0xe4a2a634, "is_acpi_device_node" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x437867fa, "device_property_read_u32_array" },
	{ 0x85594823, "devm_regulator_bulk_get" },
	{ 0x4930bc58, "devm_gpiod_get_optional" },
	{ 0x77473c44, "devm_request_threaded_irq" },
	{ 0x37f807, "regulator_bulk_enable" },
	{ 0x46ab0c96, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92d010e0, "i2c_register_driver" },
	{ 0xa5c8e575, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x27ad8290, "i2c_del_driver" },
	{ 0x729b8869, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7da2960a, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xac9571f1, "irq_get_irq_data" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d203df4, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x83d1d46c, "sysfs_remove_group" },
	{ 0xf6946f12, "input_unregister_device" },
	{ 0x6ae328fe, "regulator_bulk_disable" },
	{ 0x3b01171e, "input_event" },
	{ 0xc59e0b0c, "input_mt_report_slot_state" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "E3B2B211E4D359D8DD18827");
