#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2e7a195a, "__folio_put" },
	{ 0xabaddc73, "bio_alloc_bioset" },
	{ 0xb09b1873, "__bio_add_page" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x1c93079a, "bio_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2c436a8, "bio_alloc_clone" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x292fcadc, "wake_up_process" },
	{ 0xb559f5b9, "bio_copy_data" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa6257a2f, "complete" },
	{ 0x96174f54, "dm_audit_log_bio" },
	{ 0x7ab3622d, "crypto_aead_setkey" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a921311, "strncmp" },
	{ 0x3cc4b494, "key_type_trusted" },
	{ 0x56371f22, "key_type_logon" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3ca74691, "request_key_tag" },
	{ 0x668b19a1, "down_read" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x53b954a2, "up_read" },
	{ 0xeba838e, "key_put" },
	{ 0x9102b802, "key_type_user" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9f984513, "strrchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf66c5e7d, "crypto_alloc_ahash" },
	{ 0xc61dc376, "dm_table_device_name" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb4bbcbb0, "bioset_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaa2729a0, "dm_table_get_mode" },
	{ 0x738746f9, "dm_get_device" },
	{ 0xb032def5, "dm_table_get_md" },
	{ 0xd8d2b200, "crypto_aead_setauthsize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfb955ea7, "kthread_create_on_node" },
	{ 0xfabdba3d, "dm_device_name" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd0eb71da, "set_user_nice" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x421cd0dd, "crypto_aead_decrypt" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xeebd504b, "crypto_skcipher_decrypt" },
	{ 0x365bea51, "crypto_aead_encrypt" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4e3530b, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xb66a3471, "bio_associate_blkg" },
	{ 0xe46379c0, "dm_accept_partial_bio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc54ae6e4, "dm_register_target" },
	{ 0xf2c305ae, "dm_report_zones" },
	{ 0x92997ed8, "_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9bb10730, "crypto_skcipher_setkey" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96848186, "scnprintf" },
	{ 0x72b7c8b3, "alloc_pages_noprof" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xafcd1e0c, "bio_integrity_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3f65ea3e, "bio_integrity_add_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x93f79a38, "crypto_destroy_tfm" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd7a98643, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6fa21620, "dm_submit_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x35296293, "blk_finish_plug" },
	{ 0x6ff70063, "__free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0251e91, "crypto_shash_update" },
	{ 0x4523ff74, "crypto_shash_export" },
	{ 0xb8375bb5, "dm_unregister_target" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x710159fd, "crypto_alloc_aead" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7a8e5a32, "crypto_alloc_skcipher" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x8ced931d, "dm_per_bio_data" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x42d46546, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63660011, "crypto_shash_digest" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xb3f8acfc, "crypto_skcipher_encrypt" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbe28a7b1, "crypto_alloc_shash" },
	{ 0xc9a76e79, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x497b3d6e, "bioset_exit" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x63f63835, "dm_put_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x14131b94, "dm_audit_log_ti" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,trusted");


MODULE_INFO(srcversion, "7A6EB9A8383E3C53B816DAA");
