#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb405c04f, "fc_remote_port_delete" },
	{ 0x407c3d11, "scsi_is_fc_rport" },
	{ 0x7fb40e2e, "fc_block_rport" },
	{ 0xac46a674, "mptscsih_bus_reset" },
	{ 0x4ab27b84, "scsi_done" },
	{ 0x5d30439, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1daa48af, "mptscsih_event_process" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x69a971e3, "mpt_config" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2efc7432, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd215e3d4, "mpt_attach" },
	{ 0xe41af24, "scsi_host_alloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4bdb6bce, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x265bcfc3, "scsi_is_host_device" },
	{ 0xc90fa15e, "mptscsih_dev_reset" },
	{ 0xc2588faa, "mptscsih_abort" },
	{ 0x18e38f86, "fc_remote_port_add" },
	{ 0x92bc102d, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0xfe0012d0, "mptscsih_suspend" },
	{ 0xf83d865f, "mptscsih_resume" },
	{ 0x2d4de30f, "mptscsih_shutdown" },
	{ 0x6142dfe0, "mptscsih_info" },
	{ 0xe560c257, "mptscsih_host_reset" },
	{ 0xff1bcec7, "mptscsih_slave_configure" },
	{ 0xdae865c2, "mptscsih_slave_destroy" },
	{ 0xa1eda1e3, "mptscsih_change_queue_depth" },
	{ 0x2b5ade6e, "mptscsih_bios_param" },
	{ 0xe17d9cea, "mptscsih_show_info" },
	{ 0xddd33d99, "fc_eh_timed_out" },
	{ 0x68871671, "mptscsih_host_attr_groups" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x7ebb7582, "fc_attach_transport" },
	{ 0xccb69881, "mptscsih_io_done" },
	{ 0xa8db9678, "mpt_register" },
	{ 0x3d7c5690, "mptscsih_taskmgmt_complete" },
	{ 0x442e3aeb, "mptscsih_scandv_complete" },
	{ 0x4d3e1cc4, "mpt_event_register" },
	{ 0x80541ac8, "mpt_reset_register" },
	{ 0x911e654c, "__pci_register_driver" },
	{ 0xa97f52c4, "fc_release_transport" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x525b89b9, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0xa1032899, "scsi_remove_host" },
	{ 0x8867c851, "mptscsih_remove" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,mptscsih,scsi_mod,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B2FAA1CB135BB672372A1E1");
