#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc989c06, "dma_set_coherent_mask" },
	{ 0x55e20db6, "ssb_dma_translation" },
	{ 0xbbf00ea4, "dev_addr_mod" },
	{ 0x9d9b2729, "register_netdev" },
	{ 0xcb99e30e, "netif_carrier_off" },
	{ 0x223dcd00, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1ece7e10, "__mdiobus_register" },
	{ 0x217bd3f7, "mdiobus_is_registered_device" },
	{ 0xbebd5888, "phy_connect" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xa5b32301, "phy_attached_info" },
	{ 0xc366eec9, "device_set_wakeup_capable" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x92997ed8, "_printk" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xfa46dfbb, "phy_ethtool_ksettings_set" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2da553f6, "netif_device_detach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbfdb30ab, "napi_disable" },
	{ 0x66d2e34e, "phy_stop" },
	{ 0x118bb31b, "netif_carrier_on" },
	{ 0xbe6b29cd, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x66cc9fc9, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45ec9c2e, "dma_map_page_attrs" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0xf7a743da, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x48207234, "netif_device_attach" },
	{ 0x8eb46391, "netif_tx_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x751659b8, "dev_kfree_skb_irq_reason" },
	{ 0x48363e98, "napi_complete_done" },
	{ 0x4ff01dfe, "napi_alloc_skb" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd1211ef, "eth_type_trans" },
	{ 0x27d0051e, "netif_receive_skb" },
	{ 0x533a30fa, "skb_pull" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x850b1399, "netif_schedule_queue" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0x3128731e, "napi_enable" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4cb14720, "phy_start" },
	{ 0x4fffac45, "eth_validate_addr" },
	{ 0x4484ca2c, "ethtool_op_get_link" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x315d8ab7, "dma_unmap_page_attrs" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0x6153d5ee, "phy_ethtool_ksettings_get" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x159c6ef0, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe097579c, "phy_mii_ioctl" },
	{ 0xce3f8e7a, "generic_mii_ioctl" },
	{ 0x37a0cba, "kfree" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0xdfef3823, "phy_print_status" },
	{ 0xad5f95ae, "ssb_pcihost_register" },
	{ 0x796347f4, "__ssb_driver_register" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0xe33611b2, "ssb_driver_unregister" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xce733117, "napi_schedule_prep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5664e08c, "__napi_schedule" },
	{ 0x2742bc37, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeecc9d26, "unregister_netdev" },
	{ 0xb73a5a45, "ssb_device_disable" },
	{ 0xf312638b, "ssb_bus_may_powerdown" },
	{ 0xc745f582, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5a69b46, "free_netdev" },
	{ 0x16cdffa5, "phy_disconnect" },
	{ 0xb6060e7e, "mdiobus_unregister" },
	{ 0x23c1d222, "mdiobus_free" },
	{ 0x50545548, "pci_set_power_state" },
	{ 0x45acf4e0, "__dma_sync_single_for_device" },
	{ 0x4aad2c11, "__dma_sync_single_for_cpu" },
	{ 0x84432f9, "pci_read_config_word" },
	{ 0x86c3d67b, "pci_write_config_word" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe1567bf5, "netdev_err" },
	{ 0x26adc52e, "ssb_device_is_enabled" },
	{ 0x4981db9a, "ssb_device_enable" },
	{ 0xa86cd05a, "ssb_pcicore_dev_irqvecs_enable" },
	{ 0x1d89642e, "ssb_clockspeed" },
	{ 0x2e895dda, "alloc_etherdev_mqs" },
	{ 0x7d29aeae, "netif_napi_add_weight" },
	{ 0x97895e5a, "ssb_bus_powerup" },
	{ 0xa5a8e1a3, "dma_set_mask" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "ssb,libphy,mii");

MODULE_ALIAS("ssb:v4243id0806rev*");
MODULE_ALIAS("pci:v000014E4d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000170Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "182B1D9CBA7712F01A7368C");
