#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x65e1e2fe, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x22aa97d1, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x3038c49b, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xa4f20506, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x58f63d61, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xd8234fe9, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x1e1e8f0e, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xec5c9b87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc87a31be, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2ec7ac35, "mt76_csa_check" },
	{ 0x1fe8e6b6, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x277abcfc, "mt76u_single_wr" },
	{ 0xf55f971, "__mt76_tx_complete_skb" },
	{ 0xcdc95feb, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6d92641c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd7f032a1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x61fe11d1, "mt76_csa_finish" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x533a30fa, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37f8d935, "skb_push" },
	{ 0x9e32aff3, "mt76x02_init_beacon_config" },
	{ 0xa93e7788, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x658ca97a, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f127c6d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9194c7d, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x852eaaf1, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xcb2e310, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x47e29d44, "__mt76_poll" },
	{ 0xe432c24a, "mt76x02_update_beacon_iter" },
	{ 0xabf1d55d, "mt76x02_enqueue_buffered_bc" },
	{ 0x2ca23ce5, "mt76x02_remove_hdr_pad" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x684e4498, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda5c6562, "mt76x02_resync_beacon_timer" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "B5392FD6B239E5E541F00E8");
