#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xf4f11d75, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x7ee3aead, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x6f8843fa, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x303fb5a1, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xa73cfc8b, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xfd82d5c1, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x46f39817, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x55b6de72, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x6112a756, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x4717f225, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x8793d104, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x6e51a2cd, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xec0f51bb, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x355a216e, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x869444f1, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xe6de54a1, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x67d9410a, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x19347cf3, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x2dd9ad5a, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xc324c2a7, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xdcf2dcb4, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x0fbc1f8b, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xc59a11dc, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xb642d23d, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x8bf95653, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x129f25a2, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xd063a648, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x07d664eb, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xf13f3b9d, "_gpl");
SYMBOL_CRC(rt2800_config, 0x6a16f874, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x2558592f, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xf97531c8, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xcb506320, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xae37eed6, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x31779b6a, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xd2e3d20c, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x8a9d9527, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xb436daf6, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xd5fb51d6, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x4f8dfbdb, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x2346ba05, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x6eea1d31, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xddb101c7, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x54d92dd7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37f8d935, "skb_push" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0x41ab9ac2, "__skb_pad" },
	{ 0xd1d73095, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x68c2f31e, "ieee80211_restart_hw" },
	{ 0x533a30fa, "skb_pull" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x4b0a46cb, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x387e1b46, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x624ce746, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1ca0233b, "rt2x00lib_txdone" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0x91c35c26, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf4fb4327, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb688a78e, "rt2x00mac_conf_tx" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "E50CA3EE42E0BDDB473FD60");
