#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x53860090, "");
SYMBOL_CRC(ntb_unregister_client, 0x75cf65f7, "");
SYMBOL_CRC(ntb_register_device, 0x69a29252, "");
SYMBOL_CRC(ntb_unregister_device, 0x9a3db39a, "");
SYMBOL_CRC(ntb_set_ctx, 0xacf07ceb, "");
SYMBOL_CRC(ntb_clear_ctx, 0x3848aa42, "");
SYMBOL_CRC(ntb_link_event, 0x1e269a5f, "");
SYMBOL_CRC(ntb_db_event, 0x1fc781be, "");
SYMBOL_CRC(ntb_msg_event, 0x8cd8fa1f, "");
SYMBOL_CRC(ntb_default_port_number, 0x87ed8cd5, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xbdafef69, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x7799d6b9, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x91663dd0, "");
SYMBOL_CRC(ntb_msi_init, 0xf989bcaf, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xdcc5de73, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x96149610, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x6b252d2e, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x1343590a, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xd5b7302f, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x0161ad9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xa56e1b0b, "devm_iounmap" },
	{ 0x60a9d2f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfc71ddc9, "devres_destroy" },
	{ 0x8abb7f1, "msi_unlock_descs" },
	{ 0x15f155f9, "devm_ioremap" },
	{ 0x3f825cdc, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1517419e, "msi_lock_descs" },
	{ 0x1652e637, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaacb1f58, "put_device" },
	{ 0xad034c7a, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0x4512c734, "devm_kfree" },
	{ 0xac9571f1, "irq_get_irq_data" },
	{ 0x362050f2, "__devres_alloc_node" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf92c7a4, "device_register" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2aec1711, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x336f1a74, "msi_next_desc" },
	{ 0x48c62e18, "driver_register" },
	{ 0xced232c9, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x77473c44, "devm_request_threaded_irq" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
