#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xdce40879, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x10e9c6de, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x36c44e68, "nd_btt_arena_is_valid" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x779cf8ab, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf7a743da, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xbebd8e3c, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x26b9a8b2, "debugfs_create_x64" },
	{ 0xd74a5ada, "blk_queue_flag_set" },
	{ 0xaa065ce1, "nd_dev_to_uuid" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xf33740a7, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x42d46546, "bio_endio" },
	{ 0x4ccc244, "nd_region_release_lane" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x3afad4f0, "set_capacity" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb6f9f59, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3df87d79, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x8417bad1, "to_nd_btt" },
	{ 0x99b8f95b, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68c6e972, "debugfs_create_u32" },
	{ 0xf65c4f20, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf8fec61, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x41585a52, "nvdimm_namespace_capacity" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84d49497, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xcb3e5d58, "badblocks_check" },
	{ 0x16070154, "nd_btt_version" },
	{ 0xe5acc8c9, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xf5995ec7, "bio_integrity_prep" },
	{ 0xb9f4b1b9, "__blk_alloc_disk" },
	{ 0x544fe497, "blk_integrity_register" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeb8e9175, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x80380658, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x12716fff, "debugfs_create_u16" },
	{ 0xeedc6c4b, "to_nd_region" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "BE05BD95EEF27F82F8DE84B");
