#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x4dd95d5a, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x4fa1b188, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x1e556645, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xebcc5a6d, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x371f12de, "");
SYMBOL_CRC(sdw_show_ping_status, 0x0575ea96, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xd37f6618, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x2ae5c19b, "");
SYMBOL_CRC(sdw_write_no_pm, 0xeb4980d5, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x2895d323, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xca6b98b1, "");
SYMBOL_CRC(sdw_read_no_pm, 0x62b209d2, "");
SYMBOL_CRC(sdw_update_no_pm, 0xadfded9c, "");
SYMBOL_CRC(sdw_update, 0x274479b5, "");
SYMBOL_CRC(sdw_nread, 0xa2d7fcd3, "");
SYMBOL_CRC(sdw_nwrite, 0xc0b56b11, "");
SYMBOL_CRC(sdw_read, 0x1c7f4b9f, "");
SYMBOL_CRC(sdw_write, 0x53e88045, "");
SYMBOL_CRC(sdw_compare_devid, 0x158fc9aa, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x7e97dda3, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x3df4d90d, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xc54b2945, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xfb00f793, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xab7b3e35, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x98c5396e, "");
SYMBOL_CRC(sdw_slave_add, 0x3bfb9e56, "");
SYMBOL_CRC(sdw_master_read_prop, 0xcced0b78, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x0bd1e045, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x7e976d77, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x8cdca828, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x2d4ba6ea, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xb9789d37, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x267e7473, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x2a093b02, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x81241d96, "devm_kasprintf" },
	{ 0xc5766edd, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc9a6935c, "fwnode_property_present" },
	{ 0xc097cab5, "debugfs_create_file" },
	{ 0xe7146a5b, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5b745463, "device_get_named_child_node" },
	{ 0x93b2501e, "seq_printf" },
	{ 0xd29b14de, "irq_create_mapping_affinity" },
	{ 0x3884cd14, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xdd433de0, "acpi_dev_for_each_child" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xacdd147f, "__pm_runtime_suspend" },
	{ 0x28d09445, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xee5c8371, "__pm_runtime_use_autosuspend" },
	{ 0xb6bf6758, "single_open" },
	{ 0xb9919d07, "__pm_runtime_disable" },
	{ 0xe5acc8c9, "debugfs_create_dir" },
	{ 0x48c62e18, "driver_register" },
	{ 0xc99477dd, "__pm_runtime_idle" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xced232c9, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa630a51b, "device_property_present" },
	{ 0xe4a2a634, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x60a9d2f, "device_unregister" },
	{ 0xb7a3fe25, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd05f2712, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x76546e97, "seq_lseek" },
	{ 0x3ebcd0e6, "dev_pm_domain_attach" },
	{ 0xf56c5311, "devm_device_add_group" },
	{ 0xb6d6e1bb, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd79db342, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9e451b5, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaacb1f58, "put_device" },
	{ 0x1746e0c6, "pm_runtime_enable" },
	{ 0x437867fa, "device_property_read_u32_array" },
	{ 0x6fa8e53a, "fwnode_property_read_u32_array" },
	{ 0x2ef70637, "dev_pm_domain_detach" },
	{ 0x1af63d8c, "pm_generic_runtime_suspend" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb6f9f59, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf92c7a4, "device_register" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EDE67CA39C611890EB1C73A");
