#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x9afdb0f2, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x84d9a1e8, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0x33f09421, "_gpl");
SYMBOL_CRC(rndis_uninit, 0x7b4693ad, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0xf586db93, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0xc2e059d5, "_gpl");
SYMBOL_CRC(rndis_register, 0xe473c02f, "_gpl");
SYMBOL_CRC(rndis_deregister, 0x1fb0e418, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x7e8d77c4, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x001c5c17, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0xae04c325, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x3f931abb, "_gpl");
SYMBOL_CRC(rndis_free_response, 0xf1a14db3, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x981440d6, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0x657e70ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ba8bd0f, "gether_get_host_addr_u8" },
	{ 0x9806e04b, "gether_set_qmult" },
	{ 0xd698ff49, "config_group_init_type_name" },
	{ 0x4ab72fae, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37f8d935, "skb_push" },
	{ 0xf34c015b, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5a69b46, "free_netdev" },
	{ 0xca08c582, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x184462cd, "usb_put_function_instance" },
	{ 0x8eb46391, "netif_tx_wake_queue" },
	{ 0xca030e97, "gether_connect" },
	{ 0x35eb6ad3, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc0668d1d, "gether_set_host_addr" },
	{ 0x31f8adc1, "skb_trim" },
	{ 0x62067a79, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x145c917c, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0x1cb15e77, "gether_get_ifname" },
	{ 0xc72ba106, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb99e30e, "netif_carrier_off" },
	{ 0x118bb31b, "netif_carrier_on" },
	{ 0x806aca30, "gether_setup_name_default" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x74472510, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa2ae0310, "usb_free_all_descriptors" },
	{ 0x8524f19, "usb_gstrings_attach" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc15a89fa, "dev_get_stats" },
	{ 0xb978707e, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x684e4498, "consume_skb" },
	{ 0x359d525f, "usb_interface_id" },
	{ 0x7bd19ed2, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1a5e27c, "gether_disconnect" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2857559a, "config_ep_by_speed" },
	{ 0xb85af40b, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38c42e84, "gether_register_netdev" },
	{ 0x93704281, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3ed61e9f, "usb_function_register" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x533a30fa, "skb_pull" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "820327E372FCA23F590BEE7");
