#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x7498c79f, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xe008ac2f, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x0a27aab9, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xcac17edd, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xc5257e68, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x3eb035d8, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x52cb98b6, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x66073aee, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xa408aaac, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x3a50c7bc, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xf6cdde2a, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x45d0ba82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaacb1f58, "put_device" },
	{ 0x60a9d2f, "device_unregister" },
	{ 0x48c62e18, "driver_register" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0x6445a229, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd4eb31ac, "genl_unregister_family" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xced232c9, "bus_register" },
	{ 0x16114986, "genl_register_family" },
	{ 0xa5a8e1a3, "dma_set_mask" },
	{ 0xcc989c06, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8154bbf, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x89aba379, "netlink_capable" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x69d67c48, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x6397a190, "netlink_unicast" },
	{ 0x31f8adc1, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x65bab7da, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5ca92902, "bus_find_device" },
	{ 0x61f00a9d, "device_add" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "30702353A07F4BEA0AB114F");
