#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xe8e1d6e4, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x48ee7465, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x0c0dddf6, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x0e18a3e1, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x2d8ec1cb, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x7ec85aff, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x74292364, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x1f97f7b2, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x872eab91, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xd39c27b3, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x7d3d34f5, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x0dd44bf4, "");
SYMBOL_CRC(vfio_unpin_pages, 0xbd9b06a2, "");
SYMBOL_CRC(vfio_dma_rw, 0xf98cfc3c, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xa9c10b75, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xc931dc5c, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x6e5fa8de, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xab6e64b9, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x7e356c11, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xd08c53e8, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x2e875cdb, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x26987038, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x122c01eb, "cdev_device_del" },
	{ 0xd229f991, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdf3d9952, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x8154bbf, "device_initialize" },
	{ 0xf794479b, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5323d28c, "iput" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb2f50e85, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaacb1f58, "put_device" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7fb95dbd, "module_put" },
	{ 0x5b90457, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x4e95867b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x61f00a9d, "device_add" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x345b863, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x723e86e0, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x54aa8a6f, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xf97ee9e9, "init_pseudo" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe7146a5b, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0xc249b9e1, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x89fe815e, "simple_release_fs" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xf88031ff, "kill_anon_super" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x262f01e8, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xc99477dd, "__pm_runtime_idle" },
	{ 0x915f3137, "cdev_init" },
	{ 0x7877543e, "eventfd_ctx_fileget" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x8a87585f, "iommu_group_remove_device" },
	{ 0x7e1c00a6, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xca73ce79, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x710a97a3, "alloc_anon_inode" },
	{ 0xaccfa053, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A8B2C06C297054A37EB3D9");
