#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39d80cde, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x485601, "__tracepoint_mmap_lock_released" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x31ec364f, "pin_user_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2f50e85, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaacb1f58, "put_device" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x2cc459d2, "find_vma" },
	{ 0xf6cdde2a, "vdpa_get_config" },
	{ 0x8a7d8ee9, "vhost_iotlb_init" },
	{ 0x5b90457, "compat_ptr_ioctl" },
	{ 0xb4294584, "iommu_detach_device" },
	{ 0x45d0ba82, "vdpa_set_config" },
	{ 0x4e95867b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x2c9017f1, "iommu_domain_free" },
	{ 0xce807a25, "up_write" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0xd2f7c124, "iommu_domain_alloc" },
	{ 0xe4ef0d45, "iommu_unmap" },
	{ 0xe0bd1127, "vhost_chr_write_iter" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf9deb0db, "vhost_iotlb_map_free" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x52cb98b6, "__vdpa_register_driver" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x2fc7ebb, "vhost_dev_ioctl" },
	{ 0x83de6f18, "unpin_user_page" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4d557921, "vhost_set_backend_features" },
	{ 0x668b19a1, "down_read" },
	{ 0x837882f, "__mmap_lock_do_trace_start_locking" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x23e2b863, "vhost_dev_cleanup" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4cc0d57b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0x348ba0ac, "__mmap_lock_do_trace_released" },
	{ 0x885512a2, "vhost_iotlb_add_range_ctx" },
	{ 0x93c27c23, "set_page_dirty_lock" },
	{ 0xc249b9e1, "device_iommu_capable" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x11af4ec0, "iommu_map" },
	{ 0x5d8cd073, "vhost_dev_check_owner" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x53b954a2, "up_read" },
	{ 0xbcf1eeaa, "iommu_attach_device" },
	{ 0x915f3137, "cdev_init" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x7498c79f, "vdpa_set_status" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xabb8c3da, "vhost_vring_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0x122c01eb, "cdev_device_del" },
	{ 0xc17a5d20, "vhost_dev_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe3f58d87, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x926fe152, "vhost_dev_init" },
	{ 0x8154bbf, "device_initialize" },
	{ 0x3a54d35b, "vhost_dev_reset_owner" },
	{ 0xf6458aac, "unpin_user_pages" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xa6783bde, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x66073aee, "vdpa_unregister_driver" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb,vdpa,vhost");


MODULE_INFO(srcversion, "5B0F9C41F7746BC6B37CF9E");
