#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xa4cf28b3, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x33df6a33, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x57e3f384, "_gpl");
SYMBOL_CRC(fat_scan, 0xb330e796, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x3946561a, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x67208eee, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x6b8d6bd2, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x0aee81f1, "_gpl");
SYMBOL_CRC(fat_getattr, 0xf8699702, "_gpl");
SYMBOL_CRC(fat_setattr, 0x38d60a19, "_gpl");
SYMBOL_CRC(fat_attach, 0xdcb72a8e, "_gpl");
SYMBOL_CRC(fat_detach, 0xe70df27f, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x0cfbdf33, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x9c631b5f, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xc6d4ce0e, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x76b986ad, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x33940a8b, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xa6fae230, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x6031b7ff, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x62d321ce, "_gpl");
SYMBOL_CRC(fat_update_time, 0x83dd4150, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f0cc2ab, "generic_cont_expand_simple" },
	{ 0x9515d014, "make_kuid" },
	{ 0x5815d9a0, "truncate_inode_pages_final" },
	{ 0xe392f607, "generic_file_mmap" },
	{ 0x3ad71b9f, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0xe4062376, "ilookup" },
	{ 0x6fd9e925, "invalidate_inode_buffers" },
	{ 0x35296293, "blk_finish_plug" },
	{ 0x4668ebb0, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa6036188, "mnt_drop_write_file" },
	{ 0x2d3d60b6, "inode_init_once" },
	{ 0x5b90457, "compat_ptr_ioctl" },
	{ 0xc867935, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x75b47b90, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xdbe1ebec, "generic_file_read_iter" },
	{ 0x6bfb031c, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x54570a3e, "truncate_pagecache" },
	{ 0xe2edd89e, "sync_dirty_buffer" },
	{ 0x2fbb5e7b, "setattr_copy" },
	{ 0xd558580b, "__wait_on_buffer" },
	{ 0x6d3d433c, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xfa3a5631, "kmem_cache_alloc_lru_noprof" },
	{ 0x9c605c2a, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x45b19060, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x57e2cd9, "from_vfsgid" },
	{ 0xf81c741d, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d500fb7, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbf8b4250, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5c9bf0a5, "block_dirty_folio" },
	{ 0x26666bd6, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9392d16a, "__insert_inode_hash" },
	{ 0x21795b98, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x271b21e3, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7da5495d, "make_kgid" },
	{ 0xb884e56, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x14022cfa, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa7387e1f, "generic_encode_ino32_fh" },
	{ 0xb0eb573c, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x95a080d1, "igrab" },
	{ 0x1dd30db3, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb3299b34, "mpage_readahead" },
	{ 0x5324f4ee, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0xbf8b7df5, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x93b2501e, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x4cf2f73a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x9a1cadcd, "blkdev_issue_flush" },
	{ 0x36e46d2, "generic_fh_to_parent" },
	{ 0xaaf29590, "filemap_splice_read" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x84714f98, "from_kuid_munged" },
	{ 0x8d5efb31, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd929293e, "__mark_inode_dirty" },
	{ 0xf2fd36ea, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x69ac5292, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x4fffa748, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3dd6ddb8, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x2d23c3d1, "kmem_cache_destroy" },
	{ 0x15d4f4ec, "blkdev_issue_discard" },
	{ 0x1577ade1, "filemap_fdatawrite" },
	{ 0x585007ce, "generic_fillattr" },
	{ 0x433a74d4, "setattr_prepare" },
	{ 0x286377e4, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xfcbd138, "sync_blockdev_nowait" },
	{ 0x1c2cbc25, "make_vfsgid" },
	{ 0xd7a98643, "blk_start_plug" },
	{ 0xab66d06f, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa3083eeb, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x4b843dea, "new_inode" },
	{ 0xd7f95318, "mark_buffer_dirty" },
	{ 0xf852c8b6, "security_inode_setattr" },
	{ 0xe16c71d3, "__find_get_block" },
	{ 0x15a927b7, "filemap_fdatawrite_range" },
	{ 0x272c05d8, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x821371e5, "__blockdev_direct_IO" },
	{ 0xf20c1537, "d_make_root" },
	{ 0xc2453dc8, "__bforget" },
	{ 0x1364019c, "sb_set_blocksize" },
	{ 0xe9270d34, "block_truncate_page" },
	{ 0x51852e06, "write_dirty_buffer" },
	{ 0x7557fcc9, "sync_filesystem" },
	{ 0x23458901, "fsnotify" },
	{ 0xe8710c74, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc736f947, "from_vfsuid" },
	{ 0xed1efb51, "inode_dio_wait" },
	{ 0x86a02115, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x5033134d, "cont_write_begin" },
	{ 0x5323d28c, "iput" },
	{ 0xbafd32d3, "iter_file_splice_write" },
	{ 0xc6250111, "generic_file_write_iter" },
	{ 0xb0205067, "kmem_cache_create" },
	{ 0x2fc13f8f, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34e9b28b, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf3bb8deb, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x7841d64a, "block_invalidate_folio" },
	{ 0xa3c9ce55, "__breadahead" },
	{ 0x37d54a44, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaca63be4, "load_nls" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8EBA61A7DCF10E50D22271D");
