#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x5c87066a, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xffea2126, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x501879a4, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xb6207620, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xfb3f0518, "_gpl");
SYMBOL_CRC(br_forward, 0xd6e53409, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd0056e54, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xf4b698e2, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x572ec005, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x19564964, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xdf7e780c, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x92dbaf10, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x67d6df09, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x05dfce0c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x5e0ac450, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x17ff3738, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x246fd904, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xcab8de6e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x63d3c715, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xce23c759, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x55978620, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x80e206db, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x04196396, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x345b3773, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xed614277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89ac68e5, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x71755896, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17d6315d, "__ip_mc_inc_group" },
	{ 0xdbdb84ea, "netdev_walk_all_upper_dev_rcu" },
	{ 0xc4e3530b, "pv_ops" },
	{ 0x83d1d46c, "sysfs_remove_group" },
	{ 0x17ee8477, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87e367be, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x72a0e052, "__netpoll_setup" },
	{ 0xdb2cf5ee, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c01c590, "vlan_vid_add" },
	{ 0x80244204, "neigh_destroy" },
	{ 0xb02f42fb, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x9d78be9c, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x93d52887, "__SCK__tp_func_br_fdb_update" },
	{ 0x325bcfb0, "call_netdevice_notifiers" },
	{ 0x7cf645d1, "is_skb_forwardable" },
	{ 0xef5bd4a3, "vlan_vid_del" },
	{ 0xaea614e, "dev_set_allmulti" },
	{ 0x7bf265d2, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ac7f57c, "netdev_master_upper_dev_get" },
	{ 0x9fced2e2, "ipv6_dev_mc_inc" },
	{ 0xa4e994f1, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb99e30e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6b913e2e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb299e796, "skb_clone" },
	{ 0xd1def131, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xac406cb8, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1b289a5a, "dst_release" },
	{ 0x118bb31b, "netif_carrier_on" },
	{ 0xaad09d55, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x13dc649e, "arp_tbl" },
	{ 0x9c4c23bf, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96c15db8, "netdev_rx_handler_register" },
	{ 0x11c5ded3, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x446e385d, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x3de4bc53, "dev_disable_lro" },
	{ 0x92cbcd84, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x52af7040, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x43ce6f9e, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x64512311, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x3d10acec, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfde70853, "skb_ext_add" },
	{ 0xedc3d56b, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x741a3887, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xf7858e61, "neigh_lookup" },
	{ 0x2d23c3d1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3fb48a0c, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xedc1225f, "netdev_lower_get_next" },
	{ 0xf1718ceb, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc92c3aae, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4ed9e341, "skb_copy_bits" },
	{ 0x2af1cd3d, "__nlmsg_put" },
	{ 0x60170c1f, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf8e8d1a4, "ipv6_mc_check_mld" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaa0eeb84, "call_switchdev_notifiers" },
	{ 0xdde7d47d, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x465d9024, "netdev_update_features" },
	{ 0x684e4498, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23d58378, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xa6edb94c, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37eb2520, "netpoll_send_skb" },
	{ 0xfe4e86a7, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd418cd05, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x59b5fdef, "switchdev_port_obj_act_is_deferred" },
	{ 0xf4e56668, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6e86bad, "dev_set_promiscuity" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x54b59e3a, "unregister_netdevice_queue" },
	{ 0xb0205067, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd608031e, "netdev_state_change" },
	{ 0x8c62d89d, "__pskb_copy_fclone" },
	{ 0xd0c80a04, "__dev_get_by_name" },
	{ 0xa57745c9, "ether_setup" },
	{ 0xe1567bf5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebce17f4, "pskb_expand_head" },
	{ 0x63ba0ecf, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xaf2f6e2f, "brioctl_set" },
	{ 0xbbf00ea4, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x22387fd5, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3ba54d7, "alloc_netdev_mqs" },
	{ 0xae1d0e4a, "passthru_features_check" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xead352e2, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x21843981, "__SCK__tp_func_br_mdb_full" },
	{ 0xc8f909dc, "rtnl_af_register" },
	{ 0xf6f50b3c, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65c7d461, "rtnl_set_sk_err" },
	{ 0x58492f5b, "skb_vlan_pop" },
	{ 0x6fcd640c, "rtnl_unicast" },
	{ 0x96a6a1c1, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd88b35ad, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0x5c6c895a, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4750c7b4, "__dev_get_by_index" },
	{ 0x6ea835ad, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x93f5c251, "dev_get_port_parent_id" },
	{ 0x7e5e9df4, "init_net" },
	{ 0x96756ac4, "ipv6_stub" },
	{ 0xbc481a7e, "inet_confirm_addr" },
	{ 0x533a30fa, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x28cb1760, "sysfs_remove_link" },
	{ 0xebe0e3ce, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x554d2e29, "__SCK__tp_func_br_fdb_add" },
	{ 0xe1c4bd20, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6750b0b3, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x835dbd55, "dev_get_by_index_rcu" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x29ad7dc8, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x37f8d935, "skb_push" },
	{ 0x9c605c2a, "kmem_cache_free" },
	{ 0x690d38e8, "br_fdb_test_addr_hook" },
	{ 0x9d806d0c, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xbfb99621, "netdev_upper_dev_unlink" },
	{ 0x27d0051e, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd4f30a81, "llc_mac_hdr_init" },
	{ 0x5a69b46, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xfb03345f, "__SCK__tp_func_fdb_delete" },
	{ 0xca283422, "kobject_init_and_add" },
	{ 0xe9cd3cdb, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa4944ff8, "ns_capable" },
	{ 0x2d0b5b4a, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x46ab0c96, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4484ca2c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9141342b, "arp_create" },
	{ 0xbc4c83f7, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x550fb4ae, "stp_proto_register" },
	{ 0x65e34a43, "rtnl_register_module" },
	{ 0xa697e83, "__tracepoint_br_fdb_update" },
	{ 0x900fc59b, "sysfs_rename_link_ns" },
	{ 0xa2fcaa11, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x271b21e3, "kmem_cache_alloc_noprof" },
	{ 0x37469aae, "switchdev_port_obj_add" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x66d265ec, "__pskb_pull_tail" },
	{ 0x5bd06f12, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd24fac90, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x5804517, "ip_mc_check_igmp" },
	{ 0x66cc9fc9, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa1eaa889, "switchdev_port_obj_del" },
	{ 0x1a48c849, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2b07b061, "kobject_create_and_add" },
	{ 0x31f8adc1, "skb_trim" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "CD373073F82D1304D61F2F8");
