#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x270817a4, "");
SYMBOL_CRC(snd_pcm_new, 0xe7c87ca8, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x635f22ca, "");
SYMBOL_CRC(snd_pcm_notify, 0x8dc67ec2, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x363ada01, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xcb3e6c28, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x0e2f5371, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xb5a67ac2, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x7df893e7, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x3a4fcaa4, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x5010dc28, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xbc04c9b0, "");
SYMBOL_CRC(snd_pcm_stop, 0xbd6538c8, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xfd17fa8a, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xf3c9bc8a, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xddfc5285, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x67c42b14, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xae465e65, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xda5a1614, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0xa8dedb2b, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x13af0fdc, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x62654094, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xb2855410, "");
SYMBOL_CRC(snd_pcm_set_sync, 0xb9ea88b1, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xcff90759, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x7fc150bc, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xf2f10592, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x851fa4d6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x73996ef6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xe3ef2e4e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x340d2d86, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x5ff9f437, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x3e48dc67, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x5df0f5a8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x731879a8, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x7f7eaba2, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x6fdfe7ae, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0xa07596b3, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0x41aa5e29, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x4271a98b, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x1ea49dc3, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xee8d9991, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0xa1cd8b9e, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x9bb26db6, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x8bf55ec6, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x09f74199, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x019101dc, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xe9038623, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x83d1c543, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0xb06d4b13, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x883e5560, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0xce8471cb, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0xbc05518a, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x16a17f7b, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0xd696001c, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x486852d9, "");
SYMBOL_CRC(snd_dma_free_pages, 0xd82ced89, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xc13f3fcc, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x1e7ae821, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xfaed5edd, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xf191d2ef, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x4ab1c0e5, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x55797c87, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x93f7830a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf26541dc, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82835f23, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x91bae42e, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4bcf3898, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x17c76996, "dma_alloc_noncontiguous" },
	{ 0x2dcb73ad, "dma_mmap_noncontiguous" },
	{ 0xc76c65d3, "set_pages_array_wc" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x30a6a055, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x45acf4e0, "__dma_sync_single_for_device" },
	{ 0xe519da4a, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93b2501e, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x18ac2180, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x62444d46, "snd_info_create_card_entry" },
	{ 0x59bfb162, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x39b68474, "snd_power_wait" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x594029fe, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x1d50d11f, "pid_vnr" },
	{ 0x202c19d3, "snd_device_free" },
	{ 0xed71ebe6, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0xd2d6daa9, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x6a186330, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x452f16ba, "snd_device_register" },
	{ 0xed34c671, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50ef37e4, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xe8a4fab4, "dma_can_mmap" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x56f49f45, "dma_ops" },
	{ 0xb9627dac, "_copy_to_iter" },
	{ 0x6d1a01d8, "snd_info_register" },
	{ 0x1ad83a61, "snd_info_create_module_entry" },
	{ 0x4698186, "snd_ctl_unregister_ioctl_compat" },
	{ 0xa83e428a, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0xb2c140bb, "snd_ctl_add" },
	{ 0xda9e14b4, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa9f792cb, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x6bebca5c, "snd_timer_notify" },
	{ 0xf9d959e1, "snd_ctl_get_preferred_subdevice" },
	{ 0xa26422e1, "dma_vunmap_noncontiguous" },
	{ 0xa55e1d4, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x86f9ab3e, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xeed32f86, "dma_mmap_pages" },
	{ 0xf4990a3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf5dc9a63, "__dma_need_sync" },
	{ 0x35464612, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xb74494c2, "snd_timer_interrupt" },
	{ 0xae5ffa99, "snd_info_free_entry" },
	{ 0x553f0210, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa6783bde, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x5442af13, "bpf_trace_run2" },
	{ 0x79f2bcfa, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6f054231, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xe12f665, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1652e637, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe1e6248f, "trace_event_buffer_commit" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd0995369, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb45bcf7d, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaacb1f58, "put_device" },
	{ 0x1f4eeb29, "snd_ctl_register_ioctl" },
	{ 0x45096467, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x93737998, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x7fb95dbd, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4aad2c11, "__dma_sync_single_for_cpu" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69957662, "perf_trace_run_bpf_submit" },
	{ 0x4e95867b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xcace472b, "dma_vmap_noncontiguous" },
	{ 0x9bc0ff6a, "__dma_sync_sg_for_device" },
	{ 0x41d57897, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x362050f2, "__devres_alloc_node" },
	{ 0xf55dab90, "trace_event_reg" },
	{ 0xe1fca518, "__dma_sync_sg_for_cpu" },
	{ 0xe449ac4d, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd1bb173, "vmap" },
	{ 0x39dc3293, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x40ea0dc2, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6984561, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf4564c94, "bpf_trace_run1" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x2541196, "snd_device_new" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "06EA6A881F40E3CE34243A8");
