#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xb6fab44a, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xebcb3c46, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xc6f78bec, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x114905e2, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x7f555469, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x21dbaf85, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x9623b29b, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x2b74cec1, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xb2793492, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xd335e89d, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x32e0f0b6, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x7d41a2e5, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x07ca3629, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x37489a1f, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xf4a84c08, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xdf78f575, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x806dec10, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xef7f00c1, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x39d7eeb7, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x9061c73a, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x7e69024f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2902e1ca, "snd_hda_enum_helper_info" },
	{ 0x3ad6cedc, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x884edf43, "snd_hdac_codec_read" },
	{ 0xe349ce38, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xd4708579, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x19b1f7d8, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdef7fbb0, "snd_hdac_regmap_sync" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x850f4f7d, "snd_hda_apply_verbs" },
	{ 0x7fc87328, "snd_hda_codec_amp_update" },
	{ 0xf576749f, "snd_hda_add_new_ctls" },
	{ 0xd25e9454, "snd_hda_get_connections" },
	{ 0xde102060, "snd_hda_codec_amp_init_stereo" },
	{ 0xf4d59e3a, "snd_hda_set_vmaster_tlv" },
	{ 0x697011f7, "hda_get_autocfg_input_label" },
	{ 0x21b88cef, "query_amp_caps" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0xd53cb1ed, "snd_hda_mixer_amp_volume_info" },
	{ 0xbbb7f7f, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf3a9f596, "snd_hda_codec_setup_stream" },
	{ 0xf7cf9a55, "snd_hda_mixer_amp_switch_info" },
	{ 0x1eb0b218, "hda_codec_driver_unregister" },
	{ 0x6e12a785, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa42274c6, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x6f13fd3d, "snd_hda_jack_tbl_get_mst" },
	{ 0x1dfbfbd4, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdcc1354a, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x509ff1fa, "led_classdev_unregister" },
	{ 0x40d66379, "snd_hda_codec_pcm_new" },
	{ 0xbe842321, "__snd_hda_codec_cleanup_stream" },
	{ 0xb333e272, "snd_ctl_sync_vmaster" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0x2cfe2331, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cce6dcf, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5b9a03a, "snd_hda_add_imux_item" },
	{ 0x8bf5c179, "snd_hda_correct_pin_ctl" },
	{ 0xf1aa3f4a, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x58b9743c, "snd_hda_create_dig_out_ctls" },
	{ 0xdc59cbbc, "snd_hda_multi_out_dig_close" },
	{ 0xeda973e4, "snd_hda_get_conn_index" },
	{ 0xa6fe507, "snd_hda_multi_out_analog_open" },
	{ 0x4ef380dc, "snd_hda_get_bool_hint" },
	{ 0xe1e92ec3, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x61884176, "snd_hda_find_mixer_ctl" },
	{ 0xb91e063c, "snd_hda_get_int_hint" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xb7f89529, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x7c766475, "snd_hda_parse_pin_defcfg" },
	{ 0x48194c70, "snd_hda_codec_amp_init" },
	{ 0xb2c12ed3, "snd_hda_create_spdif_in_ctls" },
	{ 0xee3ae6f5, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdcd5b80e, "snd_hda_multi_out_analog_cleanup" },
	{ 0xecddf2d5, "snd_hda_multi_out_analog_prepare" },
	{ 0xae91a5b0, "snd_ctl_boolean_stereo_info" },
	{ 0xdb1464ac, "snd_hda_get_conn_list" },
	{ 0xe064a1e7, "snd_hda_mixer_amp_switch_get" },
	{ 0xd67580c6, "snd_hda_codec_set_pin_target" },
	{ 0x8853b8ce, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb6db5387, "snd_hda_attach_beep_device" },
	{ 0x72d18d2e, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x49cf804a, "snd_hdac_regmap_write_raw" },
	{ 0xc2978a5f, "snd_hda_mixer_amp_volume_get" },
	{ 0xf9ca5f94, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0xeeac9628, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc1bae580, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x73929dab, "snd_hda_jack_unsol_event" },
	{ 0xd0e14fee, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x57127900, "snd_hda_mixer_amp_tlv" },
	{ 0xa3d6c593, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xc9cad685, "__snd_hda_add_vmaster" },
	{ 0xc056d087, "snd_hda_codec_amp_stereo" },
	{ 0x9eff6a5a, "snd_hda_sync_vmaster_hook" },
	{ 0x381814c8, "snd_hda_apply_fixup" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "55963E4D447103311CF106D");
