#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x001b7564, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xe25ef063, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x15ac5921, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x267a870c, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x9fda1f7c, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x35298d98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b76b202, "snd_soc_component_write" },
	{ 0x61a9dec9, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xebc19e7b, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x437867fa, "device_property_read_u32_array" },
	{ 0x1659c718, "snd_soc_get_enum_double" },
	{ 0x92d010e0, "i2c_register_driver" },
	{ 0xf7170b8, "snd_soc_info_volsw" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3ca367eb, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa6bd3948, "snd_soc_dapm_force_bias_level" },
	{ 0x7c185b3a, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xdf1788af, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x743b846a, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e435bf9, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x26623d7f, "devm_clk_get_optional" },
	{ 0x8ce27299, "snd_soc_get_volsw" },
	{ 0x8277358f, "regmap_read" },
	{ 0xf3804399, "snd_soc_put_volsw" },
	{ 0x85feb64f, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3fe90eb0, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x530967d2, "regmap_update_bits_base" },
	{ 0xd8da2a02, "snd_soc_dapm_get_volsw" },
	{ 0x2cb80f2d, "__devm_add_action" },
	{ 0x27ad8290, "i2c_del_driver" },
	{ 0x5f938cdc, "regmap_register_patch" },
	{ 0x8b93b17, "snd_soc_dapm_get_enum_double" },
	{ 0x7ae3341c, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x214d7acf, "snd_soc_dapm_put_enum_double" },
	{ 0x2cb17deb, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa630a51b, "device_property_present" },
	{ 0xbe087d46, "regcache_cache_only" },
	{ 0x49ccf782, "regcache_sync" },
	{ 0x77a38945, "regmap_write" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x4161cbb, "snd_soc_jack_report" },
	{ 0x62348971, "snd_soc_component_read" },
	{ 0xbe0842c8, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xc0a2bf9b, "gpiod_to_irq" },
	{ 0x176f5432, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x449a46cb, "snd_soc_put_enum_double" },
	{ 0x837f6844, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3165b02c, "gpiod_get_value" },
	{ 0x4930bc58, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1591cd93, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "514445E8A3F822D75AF7506");
