#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xca8b657a, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x155c6565, "_gpl");
SYMBOL_CRC(af_alg_release, 0x03c7a3c0, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xaed1800c, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x6f58b1a2, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x2ca79e23, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xeba686c8, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x556cab12, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xad1e5b18, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xf20c2353, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x8da59ad0, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xe7bc6824, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x81ed5a7b, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xb2fc192f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x35076b8c, "sk_alloc" },
	{ 0x7babab6, "sock_init_data" },
	{ 0x83de6f18, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6b51f9ed, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5d2f2d4d, "extract_iter_to_sg" },
	{ 0x5032b452, "proto_register" },
	{ 0x545ae067, "sock_register" },
	{ 0x49c32189, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0x31bbc5ba, "lock_sock_nested" },
	{ 0xbc8e6215, "release_sock" },
	{ 0x7fb95dbd, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x703fce3a, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2ec095, "sock_wake_async" },
	{ 0x437a39f2, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2e7a195a, "__folio_put" },
	{ 0x5ea34bbb, "__put_devmap_managed_folio_refs" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x59bfb162, "_copy_from_iter" },
	{ 0x72b7c8b3, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x35e750f6, "iov_iter_revert" },
	{ 0x6ff70063, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xeba838e, "key_put" },
	{ 0x73e0335a, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6660ceec, "sock_no_connect" },
	{ 0xea7d3686, "sock_no_socketpair" },
	{ 0x18e368b9, "sock_no_getname" },
	{ 0x57b003a2, "sock_no_ioctl" },
	{ 0xe6f21d68, "sock_no_listen" },
	{ 0xcbb46924, "sock_no_shutdown" },
	{ 0xf1ae450e, "sock_no_sendmsg" },
	{ 0x6d6a67e0, "sock_no_recvmsg" },
	{ 0x54947633, "sock_no_mmap" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D6B25A6A6065496C50F0611");
