#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa04ddfed, "drm_gem_handle_create" },
	{ 0xe67c6e61, "pm_runtime_get_if_in_use" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xc5dcd432, "drm_mode_duplicate" },
	{ 0x9fefb5e8, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x78cb51fc, "drm_helper_mode_fill_fb_struct" },
	{ 0xb6e0be24, "drm_crtc_vblank_put" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xccf87d69, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd20a9d21, "cfb_imageblit" },
	{ 0xf14ff6dc, "drm_dev_unregister" },
	{ 0xb1997c75, "pci_restore_state" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x94c74db2, "__devm_drm_dev_alloc" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0xfdd4ba64, "drm_helper_connector_dpms" },
	{ 0xf0ee7e02, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x3a04601a, "pci_set_master" },
	{ 0x39b8be3c, "drm_handle_vblank" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x683db234, "drm_fb_helper_pan_display" },
	{ 0x546fc53f, "fb_io_write" },
	{ 0x8af902, "drm_client_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x38389e3a, "i2c_add_adapter" },
	{ 0xdc26087a, "drm_get_format_info" },
	{ 0x823eea5c, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0xe4116245, "drm_detect_monitor_audio" },
	{ 0xc4e3530b, "pv_ops" },
	{ 0xf3e0e1df, "allocate_resource" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa715d383, "drm_connector_list_iter_next" },
	{ 0xefb67a41, "drm_object_property_set_value" },
	{ 0x62ff035e, "drm_encoder_init" },
	{ 0xc76c65d3, "set_pages_array_wc" },
	{ 0xfeb59773, "drm_simple_encoder_init" },
	{ 0x5dc98e13, "drm_vblank_init" },
	{ 0x999e8297, "vfree" },
	{ 0xe7146a5b, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfaced732, "cfb_fillrect" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x59d05160, "pci_write_config_byte" },
	{ 0x7c1c65d0, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa92df80, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x13b57032, "drm_helper_probe_single_connector_modes" },
	{ 0xb8d84925, "backlight_device_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xadadb6b6, "drm_fb_helper_debug_leave" },
	{ 0xa5c8e575, "i2c_transfer" },
	{ 0xd6967ec8, "drm_property_create_range" },
	{ 0x72b7c8b3, "alloc_pages_noprof" },
	{ 0x162ca443, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xa6964fe2, "drm_mode_destroy" },
	{ 0xcf91206a, "__aperture_remove_legacy_vga_devices" },
	{ 0xaef6a645, "drm_gem_fb_create_handle" },
	{ 0x5e8c509c, "drm_crtc_from_index" },
	{ 0xcb0a506e, "drm_mode_config_reset" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xe6818427, "vmf_insert_mixed" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x2cb80f2d, "__devm_add_action" },
	{ 0x85c52fc1, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x261757b6, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xaad3ac59, "_dev_printk" },
	{ 0xb5027606, "drm_fb_helper_initial_config" },
	{ 0xe3e31059, "pcim_enable_device" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x86c3d67b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2bae6586, "drm_fb_helper_unregister_info" },
	{ 0xdfde59a3, "drm_get_edid" },
	{ 0x15ffe06f, "drm_gem_put_pages" },
	{ 0x743d9645, "drm_helper_resume_force_mode" },
	{ 0x53b954a2, "up_read" },
	{ 0x8b15afce, "pm_runtime_force_suspend" },
	{ 0xd474170d, "drm_compat_ioctl" },
	{ 0x6c54d0ef, "drm_dev_register" },
	{ 0x2ee9d20d, "drm_crtc_helper_set_config" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc99477dd, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x234df1b1, "pci_write_config_dword" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xb4122b25, "drm_fb_helper_ioctl" },
	{ 0x214972b1, "drm_fb_helper_set_par" },
	{ 0xef3ba8eb, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x755c9e09, "drm_framebuffer_cleanup" },
	{ 0xcee17ed2, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xcbe3527d, "drm_client_register" },
	{ 0x6ff4089c, "pci_save_state" },
	{ 0x420e768, "drm_kms_helper_poll_fini" },
	{ 0xf4126817, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf711b606, "drm_fb_helper_init" },
	{ 0x7a449288, "drm_poll" },
	{ 0x9ecb9a0e, "drm_fb_helper_debug_enter" },
	{ 0xd2dc2c5f, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf652a033, "drm_mode_crtc_set_gamma_size" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf0bc04ea, "backlight_device_unregister" },
	{ 0xe13780dc, "drm_gem_get_pages" },
	{ 0x787b10a4, "i2c_get_adapter" },
	{ 0x66cea98c, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x80db4b1, "drm_kms_helper_poll_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9b4a2486, "drm_framebuffer_init" },
	{ 0xd50d4246, "drm_fb_helper_lastclose" },
	{ 0x4fdb7cb4, "drm_property_create" },
	{ 0xbac2c691, "drm_fb_helper_setcmap" },
	{ 0x47010111, "drm_fb_helper_alloc_info" },
	{ 0x3600ef44, "drm_helper_disable_unused_functions" },
	{ 0xc6fddbf0, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa21e0926, "drm_fb_helper_unprepare" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb178c756, "drm_mode_probed_add" },
	{ 0xbc902c0c, "i2c_bit_add_bus" },
	{ 0xa60b0d3d, "pci_dev_put" },
	{ 0x5adde0b1, "cfb_copyarea" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb5fa9c2f, "pci_get_device" },
	{ 0xd9d5ab38, "drm_modeset_lock_all" },
	{ 0xea93291f, "drm_fb_helper_fini" },
	{ 0x95e88400, "set_pages_uc" },
	{ 0x911e654c, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xb93eba7c, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xfa85cbb3, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xde9a9e94, "drm_helper_hpd_irq_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0xd2812326, "drm_crtc_cleanup" },
	{ 0x45d0bea6, "drm_connector_list_iter_begin" },
	{ 0xefcda710, "drm_fb_helper_fill_info" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0x50545548, "pci_set_power_state" },
	{ 0xb81ea18f, "drm_encoder_cleanup" },
	{ 0x533606ff, "drm_gem_object_init" },
	{ 0xf99fe34b, "vmalloc_user_noprof" },
	{ 0x702445c3, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0x610542f6, "drm_crtc_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44eb44e, "drm_detect_hdmi_monitor" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf7a743da, "dev_driver_string" },
	{ 0xf1e69e3c, "drm_fb_helper_hotplug_event" },
	{ 0xc000607d, "drm_crtc_vblank_get" },
	{ 0x7b01a10e, "drm_gem_object_lookup" },
	{ 0xc7beda5, "drm_crtc_send_vblank_event" },
	{ 0x5b4ed482, "drm_connector_attach_encoder" },
	{ 0x9a1911a0, "pci_read_config_dword" },
	{ 0xe6701a93, "set_pages_wb" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x1fa984dc, "drm_crtc_helper_set_mode" },
	{ 0x92997ed8, "_printk" },
	{ 0x2129ec34, "drm_fb_helper_blank" },
	{ 0x256cbb9f, "drm_object_property_get_value" },
	{ 0xd57d01db, "drm_gem_private_object_init" },
	{ 0x5593d781, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5502f27a, "drm_framebuffer_unregister_private" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x761a4dbc, "drm_mode_create_scaling_mode_property" },
	{ 0xe7ff7998, "drm_connector_list_iter_end" },
	{ 0x60c5fe47, "i2c_add_numbered_adapter" },
	{ 0x93737998, "set_pages_array_wb" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ff70063, "__free_pages" },
	{ 0x9ef12adb, "drm_gem_mmap" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x1b020082, "drm_ioctl" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x9b601bde, "i2c_del_adapter" },
	{ 0x663e6409, "drm_helper_crtc_in_use" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc0e59f40, "drm_client_init" },
	{ 0xca56475, "drm_gem_vm_close" },
	{ 0x4961cf34, "drm_gem_vm_open" },
	{ 0xf5716e42, "drm_fb_helper_prepare" },
	{ 0x264a82d4, "drm_connector_init" },
	{ 0x132ffd5a, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x74321fe2, "drm_connector_init_with_ddc" },
	{ 0x8ef972ba, "drm_property_add_enum" },
	{ 0x40838bde, "drm_add_edid_modes" },
	{ 0xaf55e90e, "drm_read" },
	{ 0x70fb97f7, "drm_gem_object_release" },
	{ 0x81e87f1b, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x84432f9, "pci_read_config_word" },
	{ 0x6f4d3d51, "ww_mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0xd9551f44, "fb_io_read" },
	{ 0xc05a9c50, "drm_crtc_vblank_on" },
	{ 0xd2e26b38, "pci_map_rom" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "video,i2c-algo-bit");

MODULE_ALIAS("pci:v00008086d00008108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004105sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E17D84ADB25E156DDA5CD76");
