#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0xada3136e, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x85b4749e, "");
SYMBOL_CRC(cx8802_buf_queue, 0x359edd1f, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0xcac113a9, "");
SYMBOL_CRC(cx8802_get_driver, 0x10d0c034, "");
SYMBOL_CRC(cx8802_register_driver, 0x18f95709, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x58214d9a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34c7e408, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0xbadd382, "cx88_core_put" },
	{ 0x50545548, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1f494c05, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8695915a, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb8dc1e6, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d4b556f, "vb2_buffer_done" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb1997c75, "pci_restore_state" },
	{ 0x3a04601a, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18941c0, "cx88_sram_channel_dump" },
	{ 0x4def0e69, "cx88_sram_channel_setup" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x162ca443, "pci_disable_device" },
	{ 0xa5a8e1a3, "dma_set_mask" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x261757b6, "pci_read_config_byte" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xeb2c9a6b, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6ff4089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdb23319d, "cx88_reset" },
	{ 0xdc58a36a, "cx88_wakeup" },
	{ 0x66cea98c, "pci_enable_device" },
	{ 0xcddb5463, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x911e654c, "__pci_register_driver" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");
