#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x8a93d5d0, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xb629ae96, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0xc4061737, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x8c7eaf4c, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xacc22119, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x255281be, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x474f05f8, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x1dc491ec, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x1f3409d8, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xd7f26fc3, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xa475a634, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x8a3c2fe5, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0xbe552657, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x655988e4, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x16de4113, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x66252adc, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0xc96af7f3, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xff855522, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xfa41bf5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8fd9af5, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9b601bde, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x43f2634b, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9bca2b6f, "rc_register_device" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0x68f3cc03, "rc_keydown" },
	{ 0xc2c00341, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x538c6b69, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xff341cd1, "param_ops_short" },
	{ 0x6d1cdac, "rc_free_device" },
	{ 0x3a04601a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbdea2bc2, "dvb_frontend_detach" },
	{ 0x38389e3a, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcc989c06, "dma_set_coherent_mask" },
	{ 0x2942e1de, "dvb_net_release" },
	{ 0x643dc4ea, "dvb_ca_en50221_camready_irq" },
	{ 0x64ce2165, "rc_allocate_device" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8c9604c3, "dvb_unregister_frontend" },
	{ 0xfbe08396, "dvb_ca_en50221_camchange_irq" },
	{ 0xa5c8e575, "i2c_transfer" },
	{ 0x162ca443, "pci_disable_device" },
	{ 0x7374eabe, "dvb_register_frontend" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x261757b6, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x9626138f, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4e2e44a2, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x98d0f1cd, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x66cea98c, "pci_enable_device" },
	{ 0x91848cff, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x5a2df2c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");
