#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x672056b5, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x80370339, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x1efb3ca9, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xd2780346, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x401308dc, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0xe35c1de1, "_gpl");
SYMBOL_CRC(is_fw_load, 0x9e94c065, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x27760ae0, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x480df95b, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x1d56fcfb, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x9c50a76b, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x3486b3c5, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x17211a47, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x6226e65e, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x1fd0538b, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xa144e2d9, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x62090f89, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x31bbad48, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x5f3255ea, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x6daca9f0, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x26f6f253, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xfb835aae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd6f9d0d8, "usb_clear_halt" },
	{ 0xc9e47349, "usb_put_dev" },
	{ 0xd7f032a1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b57462f, "video_devdata" },
	{ 0x8c6c7cc7, "vb2_fop_release" },
	{ 0x7a78770d, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x593e69fa, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe3f2de7f, "usb_submit_urb" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x9b601bde, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x24c790c0, "media_device_register_entity" },
	{ 0x31bee0e1, "media_device_cleanup" },
	{ 0x800df03a, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x61662b45, "i2c_unregister_device" },
	{ 0xddf3f615, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdddc22c5, "usb_control_msg" },
	{ 0x5d4b556f, "vb2_buffer_done" },
	{ 0x6e1ac4eb, "vb2_plane_vaddr" },
	{ 0xcbcba1ca, "v4l2_ctrl_subscribe_event" },
	{ 0x6354dc57, "usb_set_interface" },
	{ 0x36fad2f8, "media_entity_pads_init" },
	{ 0x5aaaa69e, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x567cdabc, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc5a05824, "usb_deregister" },
	{ 0x768d4ad4, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x647e0506, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3bc49c1b, "v4l2_s_ctrl" },
	{ 0x1cdb98d0, "i2c_mux_alloc" },
	{ 0xe44cc23b, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x51d14d46, "vb2_fop_read" },
	{ 0x128a639c, "v4l2_device_register" },
	{ 0x38389e3a, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64ce2165, "rc_allocate_device" },
	{ 0xc4e3530b, "pv_ops" },
	{ 0x5098803f, "usb_unlink_urb" },
	{ 0xafb389c4, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7463d7ec, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x53f172a7, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f7da3ad, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7fd67bcc, "vb2_ioctl_streamon" },
	{ 0x25260cb5, "v4l2_mc_create_media_graph" },
	{ 0x5db8cf4, "vb2_fop_poll" },
	{ 0x38be24a7, "cx2341x_handler_init" },
	{ 0xffa7ccb9, "cx2341x_handler_set_50hz" },
	{ 0xcba980c3, "__media_device_usb_init" },
	{ 0x54b843d1, "v4l2_ctrl_handler_free" },
	{ 0xa5c8e575, "i2c_transfer" },
	{ 0x768d9315, "v4l2_device_unregister" },
	{ 0x7ba7b0c5, "usb_reset_endpoint" },
	{ 0x48a15761, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x1bb0d74, "v4l2_subdev_call_wrappers" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x3c294744, "v4l2_ctrl_log_status" },
	{ 0x2e42f870, "v4l2_i2c_new_subdev" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xe89acbc7, "video_device_release_empty" },
	{ 0xcbf5e781, "i2c_mux_add_adapter" },
	{ 0x9813e095, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x62ff76d8, "v4l2_event_unsubscribe" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x25e48844, "vb2_ioctl_reqbufs" },
	{ 0xe4975dd, "vb2_queue_init" },
	{ 0x5159fa8e, "usb_alloc_urb" },
	{ 0xcd2e6059, "v4l2_ctrl_poll" },
	{ 0xb5d1a8b3, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x74fb9473, "media_device_unregister" },
	{ 0x406da200, "usb_free_urb" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0xf8bdd5e0, "vb2_ioctl_streamoff" },
	{ 0xbdf66ab7, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57a7079b, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaff91cd8, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe0691def, "request_firmware" },
	{ 0x1d483d27, "vb2_ops_wait_finish" },
	{ 0x60a86e27, "usb_register_driver" },
	{ 0x13e1953e, "v4l2_ctrl_handler_init_class" },
	{ 0x5a2df2c, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3b867f1, "__media_device_register" },
	{ 0x56aa79e4, "vb2_ioctl_querybuf" },
	{ 0x7da2960a, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5c5733dc, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "967BBE18E53822A60B85D55");
