#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xf3d88fd2, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x114d54a1, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xb810c083, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xd165f3ba, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0xa96b197d, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xafaa16a5, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xc60fe433, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x0bf2ce36, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x9f35001b, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0xd2c1efce, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x3d5758a5, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x45df567b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4c2f435, "i2c_verify_client" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xe5acc8c9, "debugfs_create_dir" },
	{ 0xc097cab5, "debugfs_create_file" },
	{ 0xb6bf6758, "single_open" },
	{ 0xbb6f9f59, "debugfs_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x522da271, "fwnode_handle_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x93b2501e, "seq_printf" },
	{ 0xc9a6935c, "fwnode_property_present" },
	{ 0xa92aa067, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x873b404f, "v4l2_device_unregister_subdev" },
	{ 0x4e4709ce, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1308fd38, "v4l2_subdev_put_privacy_led" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xec54d6b7, "__dev_fwnode" },
	{ 0x5ed5f73b, "__v4l2_device_register_subdev" },
	{ 0x18a722c9, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x76546e97, "seq_lseek" },
	{ 0xc5766edd, "seq_read" },
	{ 0x3884cd14, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "A4545BE90D901C4AE6F3D20");
