#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x270efbf4, "xdp_rxq_info_reg_mem_model" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd1211ef, "eth_type_trans" },
	{ 0x45ec9c2e, "dma_map_page_attrs" },
	{ 0x48363e98, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5664e08c, "__napi_schedule" },
	{ 0x9d98641e, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xdb53d17d, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x10fc0c6a, "xdp_rxq_info_is_reg" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4aad2c11, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xd51ad7d2, "softnet_data" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x11b3f253, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd77ff81e, "xsk_tx_peek_desc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8b6f21a4, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xac9571f1, "irq_get_irq_data" },
	{ 0xb6d68fb5, "netif_set_real_num_rx_queues" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0x3128731e, "napi_enable" },
	{ 0x740077a8, "xsk_uses_need_wakeup" },
	{ 0x9d9b2729, "register_netdev" },
	{ 0x5a69b46, "free_netdev" },
	{ 0xd04f7529, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd1bb173, "vmap" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5ea34bbb, "__put_devmap_managed_folio_refs" },
	{ 0x4484ca2c, "ethtool_op_get_link" },
	{ 0xb66e6d03, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe673a741, "pci_iounmap" },
	{ 0x8eb46391, "netif_tx_wake_queue" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x850b1399, "netif_schedule_queue" },
	{ 0x3a04601a, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66d265ec, "__pskb_pull_tail" },
	{ 0x623c18db, "xp_dma_unmap" },
	{ 0x71755896, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcc989c06, "dma_set_coherent_mask" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5c01f979, "xsk_set_tx_need_wakeup" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7eefd2e9, "pci_release_regions" },
	{ 0x45acf4e0, "__dma_sync_single_for_device" },
	{ 0x26f8f0b8, "iowrite16be" },
	{ 0x3a27e757, "xp_set_rxq_info" },
	{ 0xf6dd59a, "xdp_rxq_info_unreg" },
	{ 0x2e7a195a, "__folio_put" },
	{ 0xcae53869, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb99e30e, "netif_carrier_off" },
	{ 0x118bb31b, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd54f5937, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x72b7c8b3, "alloc_pages_noprof" },
	{ 0x162ca443, "pci_disable_device" },
	{ 0x12807dbd, "xp_free" },
	{ 0xa5a8e1a3, "dma_set_mask" },
	{ 0x446e385d, "netif_set_tso_max_size" },
	{ 0x353f2505, "skb_add_rx_frag_netmem" },
	{ 0xef7307ba, "page_frag_cache_drain" },
	{ 0xd8c065c5, "xdp_master_redirect" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x4bdff587, "xp_raw_get_data" },
	{ 0x7c27b9f1, "__napi_schedule_irqoff" },
	{ 0xce733117, "napi_schedule_prep" },
	{ 0xad16619, "napi_consume_skb" },
	{ 0xbfdb30ab, "napi_disable" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x48f9e32d, "ethtool_op_get_ts_info" },
	{ 0x5c0f9a62, "xsk_tx_release" },
	{ 0x2742bc37, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x6dd9c22f, "xsk_tx_completed" },
	{ 0x4ff01dfe, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2e895dda, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc58b4986, "xp_alloc" },
	{ 0x7c45546d, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xceb43aa1, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe23bc9f0, "xp_dma_map" },
	{ 0x4ed9e341, "skb_copy_bits" },
	{ 0x989090d9, "dma_pool_create" },
	{ 0x3292c536, "pci_msix_vec_count" },
	{ 0x66cea98c, "pci_enable_device" },
	{ 0x9ef9c4fb, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6e627ccf, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7d29aeae, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeecc9d26, "unregister_netdev" },
	{ 0xdee6a3d, "napi_get_frags" },
	{ 0x315d8ab7, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x911e654c, "__pci_register_driver" },
	{ 0x170981ff, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0xc16578ff, "xdp_do_redirect" },
	{ 0xbe6b29cd, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc745f582, "__netif_napi_del" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0xe1567bf5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebce17f4, "pskb_expand_head" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf7a743da, "dev_driver_string" },
	{ 0xbbf00ea4, "dev_addr_mod" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001AE0d00000042sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "75DFF648BF19B7C3D0A135A");
