#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x74343ec9, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x1ffc9f65, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xc782123f, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x52be1cbf, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x8acc35b3, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x3f870c81, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xfa84c6be, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x741b69cc, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x08b32ca5, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x8a7cfb9e, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xa15c2cef, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xa16cfe36, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xe59a709b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x39f6eda5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xe635211a, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x979597b8, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xe397dff2, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x017db063, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x475a3f46, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xeb440039, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xe52866fa, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xb0d0d2d3, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xe104e300, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x45f83a0b, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xea633492, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xaa44b854, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x87f84df0, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xf8334844, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x2614669f, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xb07d77e8, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x4e2ac69d, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x5f2b28ba, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xd66b2da0, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x910a63d2, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x5aa67c42, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xe069ad62, "");
SYMBOL_CRC(mlx4_test_async, 0x5cbb02fa, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x13de4d14, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x17db7e8c, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x507c3a6a, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xe9198166, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x7995bf81, "");
SYMBOL_CRC(mlx4_assign_eq, 0x1c6f3eb8, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x9223f029, "");
SYMBOL_CRC(mlx4_release_eq, 0x50e41906, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xe391d0b8, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x77660e4d, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xf23c7ca5, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x02c4e1bf, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xbd8488d9, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xd364f956, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x08425166, "");
SYMBOL_CRC(mlx4_wol_read, 0x01c880cd, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x710c0020, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x0f88b07b, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x16382a05, "");
SYMBOL_CRC(set_phv_bit, 0xa8f8b2d7, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xe4461181, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x3c6126e7, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xa02913bb, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x518f8355, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x32dea3a1, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x43987e39, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x1c2790cd, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x9b1b608f, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x807ff6b9, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x10d97c36, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xbb014660, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xc7bb8f89, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xeca4bbb5, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xca29650f, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x37342469, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x8a56a3b3, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x223d3455, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xc45d0e29, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xff0fd7b6, "");
SYMBOL_CRC(mlx4_read_clock, 0xb4da9bb4, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x28e151a3, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x887c40f3, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xe3ce3e87, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x905ad64a, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xe0cf54f9, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xc6c94dbb, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xc361b6e2, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xb49a2007, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xefd8db79, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x81a72571, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x24498057, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xe005d11b, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x66af307e, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x1d296ab5, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x2f23e8b2, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x92ce6d9a, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xd991643b, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x38b47e5e, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x4456b221, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x375a7097, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x15b680f2, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x797d62bf, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xfe16525c, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x672b5b1b, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x0527e99f, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x7cd8096a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xa706722b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xc0ddf496, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x9e83a607, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x74b816ce, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xa5a1e7dc, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x9eeb1029, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xcd5afe3d, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x952f4e1d, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x711ea390, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xb1589c45, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x822674f2, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xac30ca6c, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x531eb381, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x942a917a, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x411e602e, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x13c52e0b, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xa71f5f22, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x2196feed, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xde2fa704, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x5ca3a7e6, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x4c70ac40, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xf01d2bb6, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x7a6300fd, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x354f193b, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xb2eb2643, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x56006f90, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xbc83903c, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x92a2a398, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x1ab1b612, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x917d6725, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x44419571, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xcd764535, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xf74ff820, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x66104893, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xedb1ef15, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x787fd15a, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xa6e1dabf, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x9be8ade6, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xc1601a38, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x27932767, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x835fd43d, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x2900d79b, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x9dc6ad24, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x049221d1, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x06e14440, "");
SYMBOL_CRC(mlx4_get_module_info, 0xfc4ae483, "");
SYMBOL_CRC(mlx4_max_tc, 0x47f9819a, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xa9cbe220, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x9a3471f3, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x3a9e7d65, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x0f02ca45, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x3f05a493, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xe87b6c4e, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x69cfc6da, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xee193b27, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x749a62da, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xbc0fc241, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xfe229cb3, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x2a27e1a9, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x9be2feb9, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xc8e443da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4bd95b7, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf8cf02fd, "param_ops_byte" },
	{ 0x3f825cdc, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x5589acbc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x9a1911a0, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20dcd8b8, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8a2b4cde, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8780ea02, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x586f25c6, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaacb1f58, "put_device" },
	{ 0x9d98641e, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6ff70063, "__free_pages" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x97a660a7, "kmalloc_node_trace_noprof" },
	{ 0xc0e43c60, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x4aad2c11, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x7e5e9df4, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xcd446dbd, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xc506dd82, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd831c773, "dma_alloc_attrs" },
	{ 0x84432f9, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcac3a6f8, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb1997c75, "pci_restore_state" },
	{ 0x723e86e0, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x71836171, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x3a04601a, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xc951b024, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x48282e3c, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcc989c06, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x7030e0d5, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0x7eefd2e9, "pci_release_regions" },
	{ 0x45acf4e0, "__dma_sync_single_for_device" },
	{ 0xfc9a686f, "devl_assert_locked" },
	{ 0xb9f5bc5b, "pcie_print_link_status" },
	{ 0x4aed0980, "devl_port_unregister" },
	{ 0xcba3a1f3, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8041ac, "devlink_priv" },
	{ 0x39e71ad4, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd54f5937, "pci_disable_msix" },
	{ 0x72b7c8b3, "alloc_pages_noprof" },
	{ 0x162ca443, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xa5a8e1a3, "dma_set_mask" },
	{ 0xcf7ffddc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5e3b2c14, "dma_unmap_sg_attrs" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xaad3ac59, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x975d7544, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x234df1b1, "pci_write_config_dword" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xe717a147, "device_remove_file" },
	{ 0x66d0d1d, "dma_map_sg_attrs" },
	{ 0x2330dd37, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6ff4089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f5fa3b, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x656ed712, "devl_region_create" },
	{ 0x8406a57c, "devlink_unregister" },
	{ 0x989090d9, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x66cea98c, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xed2635af, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d38c2c6, "devlink_region_snapshot_id_get" },
	{ 0x64281485, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x911e654c, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xeb6ce09e, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5a2df2c, "param_array_ops" },
	{ 0x170981ff, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x41df4abd, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x7310909f, "pci_sriov_get_totalvfs" },
	{ 0xe3ab21f9, "devlink_register" },
	{ 0xf3ea45c0, "devlink_port_type_clear" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C309A2BC5A40F2F730AC85C");
