#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x8c252598, "");
SYMBOL_CRC(ocelot_mact_forget, 0xc26ed598, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x67fcb656, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x8ca5084d, "");
SYMBOL_CRC(ocelot_pll5_init, 0xde99813f, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xbbb92e96, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x84bd9d60, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x89ff7969, "");
SYMBOL_CRC(ocelot_vlan_add, 0x8aa276c4, "");
SYMBOL_CRC(ocelot_vlan_del, 0x4a33e092, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xe675cb3c, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xd2f01600, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x655dfb18, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x8b8dd0d8, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xc3598873, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xadb4977d, "");
SYMBOL_CRC(ocelot_can_inject, 0xac73c83e, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x1e8335e7, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x7d9e6df2, "");
SYMBOL_CRC(ocelot_fdb_add, 0xda632855, "");
SYMBOL_CRC(ocelot_fdb_del, 0x22de3a21, "");
SYMBOL_CRC(ocelot_mact_flush, 0xfba3ee7f, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x83af3176, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x69939b31, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x0771c7c1, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x6733cf6e, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x37aebc8d, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xe5fce96b, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xdaae5bb7, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x6d47ca56, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xc445a196, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x69ec55fe, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xe6d83937, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x812ec1ea, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x98759b2f, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x0bb19e7d, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x1a83da9c, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x6b9d61a8, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x050f58ee, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xa9b344f1, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x2f82a414, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x17f324a7, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xb7f0c23b, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xa9093566, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x249b129c, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x96c80711, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xcb4c5a4d, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x8a70b52e, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x2271d2c5, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x49bdb1b1, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xcb313cae, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x77b84f4c, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x2e7bcaaa, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x28b9312c, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x9c8d21a7, "");
SYMBOL_CRC(ocelot_reset, 0x7765eab4, "");
SYMBOL_CRC(ocelot_init, 0x00c2c31d, "");
SYMBOL_CRC(ocelot_deinit, 0x83e4f54b, "");
SYMBOL_CRC(ocelot_deinit_port, 0xbfdb35ec, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xd06a0354, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x4b8de15b, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x00a7aaf8, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0xf0e585d0, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x4ae2b66d, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x1a18e1fd, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x56c1fbc5, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xcf68ddf2, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x7cccc0b2, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x84f07cef, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xa4e28b38, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xe5a8f299, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x7b0ad914, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xaf79f2a0, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xd005d825, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x0f6f2d0a, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x20d60db1, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xcc4391ff, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x617943d8, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x2d1d8431, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x12f30701, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x4f0e5d76, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xf40ca3ef, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x460a9aa5, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xde9fbb4b, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xfd67f34b, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x4fc7a876, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x2e6ee66d, "");
SYMBOL_CRC(ocelot_port_policer_add, 0xa3d8220d, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x6fa51f15, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x96870886, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x391ac687, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xafdd43d5, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x3be8d337, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x499aeb66, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x4187277d, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x0aa5a4b3, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xa906dc75, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x9afdc3cc, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x93625fd8, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x0f79e84e, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x03b3e5c9, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x05bf6eea, "");
SYMBOL_CRC(ocelot_get_strings, 0x10c6a8c3, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x316e7e55, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x288a1d0d, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x5b0aebe1, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xba89a942, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xb323fe1f, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x2785434e, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x6afea12e, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x578dcd0f, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x61509342, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x6ee5ed68, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xa47a0626, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x04eeab92, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xe7c95a92, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x4c122a56, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x419c2343, "");
SYMBOL_CRC(ocelot_mrp_del, 0xbda40bb3, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x21580671, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x85da511a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xacdad357, "flow_rule_match_ipv4_addrs" },
	{ 0xd74620f8, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe1567bf5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf5b013fa, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x77c56e2, "skb_queue_purge_reason" },
	{ 0x91d57cf8, "ptp_find_pin" },
	{ 0xd1211ef, "eth_type_trans" },
	{ 0xef2a9b6c, "ethtool_aggregate_pause_stats" },
	{ 0x21f66119, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8587934b, "regmap_fields_read" },
	{ 0x93704281, "skb_queue_tail" },
	{ 0xf95e8334, "regmap_field_read" },
	{ 0x87f04d1f, "devm_regmap_field_alloc" },
	{ 0x73b98608, "ptp_classify_raw" },
	{ 0x5b9e89a5, "flow_rule_match_basic" },
	{ 0x4750c7b4, "__dev_get_by_index" },
	{ 0x4512c734, "devm_kfree" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xbcf10982, "ptp_clock_register" },
	{ 0x8b6f21a4, "netif_set_real_num_tx_queues" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0xd2daf4af, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xe396d971, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0xa1d6ddc5, "flow_rule_match_ports" },
	{ 0x9014815e, "__devm_regmap_init_mmio_clk" },
	{ 0xfc16a704, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6691705d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb0f760e1, "ptp_clock_unregister" },
	{ 0x66cc9fc9, "__netdev_alloc_skb" },
	{ 0xf807a483, "of_phy_get" },
	{ 0xa6dbe11c, "phy_set_mode_ext" },
	{ 0x4d8153e5, "netdev_reset_tc" },
	{ 0x8277358f, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f2c6de7, "devm_ioremap_resource" },
	{ 0xbe236213, "ethtool_aggregate_rmon_stats" },
	{ 0xa2eafbe3, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ba82be1, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66aecf4c, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x43726da9, "netdev_set_num_tc" },
	{ 0x530967d2, "regmap_update_bits_base" },
	{ 0x813a8f0a, "dev_err_probe" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0xa6f8a376, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x40ce34ba, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x246fd904, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x77a38945, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x9ef9c4fb, "skb_tstamp_tx" },
	{ 0xd7dfa4ea, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5b9dac23, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x15b7e240, "regmap_fields_update_bits_base" },
	{ 0x3348ce5c, "flow_rule_match_eth_addrs" },
	{ 0x77e0ac00, "ptp_clock_index" },
	{ 0x7ffc8b9b, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "04FDB3F17165E8C337C51F9");
