#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x630b8ce5, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c605c2a, "kmem_cache_free" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x6e7ab2cf, "iwl_write32" },
	{ 0x622330d, "ieee80211_beacon_set_cntdwn" },
	{ 0x9260a037, "ieee80211_sta_pspoll" },
	{ 0x97471ba, "ieee80211_wake_queues" },
	{ 0x49e0135d, "iwl_new_rate_from_v1" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xfc63d756, "iwl_fwrt_dump_error_logs" },
	{ 0x74881998, "ieee80211_beacon_get_template" },
	{ 0x9575b69b, "ieee80211_rate_control_register" },
	{ 0xea661568, "wiphy_work_queue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1d720973, "iwl_parse_nvm_mcc_info" },
	{ 0xee02afb2, "iwl_bios_get_wgds_table" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe632bf40, "ieee80211_iter_keys_rcu" },
	{ 0x22381e90, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd004ea88, "ieee80211_key_mic_failure" },
	{ 0x4a46e9f, "ieee80211_free_txskb" },
	{ 0x8853b8ce, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7834f315, "ieee80211_channel_switch_disconnect" },
	{ 0x7c2f6d5c, "ieee80211_alloc_hw_nm" },
	{ 0xb37b318c, "iwl_rs_pretty_bw" },
	{ 0xd20ad2a7, "iwl_free_fw_paging" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe0eb5838, "iwl_init_notification_wait" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x572346c, "iwl_sar_geo_support" },
	{ 0x1dd4b58c, "cfg80211_bss_flush" },
	{ 0x80869ed0, "ieee80211_tx_dequeue" },
	{ 0xc1059eed, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0xb751dcbf, "iwl_acpi_get_phy_filters" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1e3d59c2, "iwl_uefi_get_step_table" },
	{ 0x552e4f1e, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0xd8e18e72, "iwl_reinit_cab" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x3c56ba9e, "wiphy_delayed_work_cancel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x956119f6, "__iwl_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x271b21e3, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb0f760e1, "ptp_clock_unregister" },
	{ 0xe75d773b, "iwl_get_shared_mem_conf" },
	{ 0x1b025c9c, "iwl_bios_get_wrds_table" },
	{ 0xea8049d5, "iwl_read_prph" },
	{ 0xa4dc018a, "ieee80211_ready_on_channel" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd9dbdf72, "ieee80211_send_eosp_nullfunc" },
	{ 0xc502abab, "ieee80211_stop_queues" },
	{ 0x6673f718, "iwl_trans_send_cmd" },
	{ 0x391eda45, "ieee80211_get_tkip_rx_p1k" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67691a6, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x6c89a0ed, "iwl_uefi_get_uats_table" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651208, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xbafc8994, "iwl_wait_notification" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x543e6830, "ieee80211_vif_to_wdev" },
	{ 0x9ec2c1e6, "ieee80211_mark_rx_ba_filtered_frames" },
	{ 0xd24108d4, "rfkill_soft_blocked" },
	{ 0xb4f6ebd8, "iwl_fw_dbg_stop_restart_recording" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2a893d7f, "ieee80211_sched_scan_results" },
	{ 0xcfb5e693, "ieee80211_scan_completed" },
	{ 0x5f127c6d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0x7c3ac925, "ieee80211_get_vht_max_nss" },
	{ 0x16ad7c5f, "ieee80211_tkip_add_iv" },
	{ 0x37956b72, "rs_pretty_print_rate" },
	{ 0x764acdb6, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb7d5ffb1, "iwl_rate_mcs" },
	{ 0x6ea7972, "ieee80211_resume_disconnect" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x874c77de, "iwl_fw_rate_idx_to_plcp" },
	{ 0x56470118, "__warn_printk" },
	{ 0x85a1985e, "ieee80211_set_active_links_async" },
	{ 0x770eecb4, "iwl_opmode_register" },
	{ 0xc8ba5142, "iwl_sar_geo_fill_table" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5db1270b, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x1584c8c1, "iwl_set_bits_mask_prph" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xce0c6460, "iwl_phy_db_set_section" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x99dd4c00, "ieee80211_tdls_oper_request" },
	{ 0xd332a17a, "iwl_bios_get_ppag_table" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0xe17cf590, "iwl_fw_dbg_read_d3_debug_data" },
	{ 0x9923667d, "iwl_fw_dbg_stop_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd9f5260, "iwl_force_nmi" },
	{ 0xa99abae0, "iwl_is_ppag_approved" },
	{ 0xee25912d, "ieee80211_request_smps" },
	{ 0x599d9f6, "thermal_cooling_device_unregister" },
	{ 0x2710c362, "iwl_dump_desc_assert" },
	{ 0x58e2eb41, "cfg80211_get_iftype_ext_capa" },
	{ 0x823cc7f6, "iwl_cmd_groups_verify_sorted" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x353f2505, "skb_add_rx_frag_netmem" },
	{ 0xcc7ff0f5, "iwl_fw_start_dbg_conf" },
	{ 0xc8571200, "iwl_fw_runtime_resume" },
	{ 0xc6ec94a1, "iwl_bios_get_dsm" },
	{ 0x35a9a3a9, "ieee80211_set_active_links" },
	{ 0xbf38d7df, "ieee80211_sta_ps_transition" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xb1ec8740, "regulatory_set_wiphy_regd" },
	{ 0x6a186330, "param_ops_int" },
	{ 0xf88964e4, "iwl_remove_notification" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x5d506227, "ieee80211_sta_recalc_aggregates" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x722940b5, "__skb_gso_segment" },
	{ 0x838ceeac, "iwl_parse_nvm_data" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1722570e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xff3731ea, "ieee80211_iterate_active_interfaces_mtx" },
	{ 0x6ea9bf55, "__iwl_err" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x9e1c1431, "ieee80211_key_replay" },
	{ 0x43104497, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xee6d1aff, "ieee80211_rx_napi" },
	{ 0xffd4700a, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf3c20a8a, "iwl_phy_db_init" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0xe23ac471, "thermal_zone_device_unregister" },
	{ 0xd616dbf1, "ieee80211_stop_tx_ba_session" },
	{ 0x4db3d7da, "ieee80211_gtk_rekey_notify" },
	{ 0x159c6ef0, "device_set_wakeup_enable" },
	{ 0xbb9f0c56, "regulatory_set_wiphy_regd_sync" },
	{ 0x1cf75d45, "ieee80211_get_tkip_p1k_iv" },
	{ 0x85843019, "thermal_zone_device_priv" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0x148e52f0, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xcf7e0528, "ieee80211_report_wowlan_wakeup" },
	{ 0x9b143b7e, "iwl_uefi_get_sgom_table" },
	{ 0xf32473bc, "iwl_set_soc_latency" },
	{ 0x8f93ce85, "iwl_acpi_get_guid_lock_status" },
	{ 0x73b8c4bd, "iwl_bios_get_pwr_limit" },
	{ 0xecc78d81, "ieee80211_iterate_interfaces" },
	{ 0xdde73897, "ieee80211_sched_scan_stopped" },
	{ 0xe5e40589, "iwl_configure_rxq" },
	{ 0x7da96e91, "ieee80211_chswitch_done" },
	{ 0x5c6d0af, "cfg80211_bss_iter" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5988395c, "iwl_notification_wait_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeac5d25b, "ieee80211_unreserve_tid" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xea017976, "iwl_sar_fill_profile" },
	{ 0x684e4498, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x12498a02, "iwl_fill_ppag_table" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa0d014ad, "iwl_dbg_tlv_del_timers" },
	{ 0xb101f553, "wiphy_work_flush" },
	{ 0x776221bf, "iwl_send_phy_db_data" },
	{ 0x11be8e49, "ieee80211_update_mu_groups" },
	{ 0x9ba73116, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x93d4a726, "ieee80211_free_hw" },
	{ 0xe75b7e77, "iwl_notification_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x15c999dc, "iwl_fw_runtime_suspend" },
	{ 0x958d1955, "iwl_fw_lookup_notif_ver" },
	{ 0x96848186, "scnprintf" },
	{ 0x1aefda71, "ieee80211_get_tkip_p2k" },
	{ 0xa4f65ea7, "iwl_fill_lari_config" },
	{ 0xebc18a75, "ieee80211_iterate_stations_atomic" },
	{ 0x8e532fa8, "iwl_fw_disable_dbg_asserts" },
	{ 0x59f92163, "for_each_thermal_trip" },
	{ 0xec454f33, "thermal_zone_device_update" },
	{ 0x16df0cca, "ieee80211_tx_status_ext" },
	{ 0x77e0ac00, "ptp_clock_index" },
	{ 0x44c52df5, "iwl_fw_runtime_init" },
	{ 0x6175d575, "iwl_fw_dbg_collect_trig" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf08458e6, "iwl_fw_dbg_collect_desc" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0xa9f67f72, "thermal_cooling_device_register" },
	{ 0x509ff1fa, "led_classdev_unregister" },
	{ 0xc80e363, "ieee80211_register_hw" },
	{ 0x68c2f31e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x16fbdcb9, "ieee80211_rate_control_unregister" },
	{ 0xaf5c22f9, "__ieee80211_get_radio_led_name" },
	{ 0x78971d7e, "iwl_he_is_sgi" },
	{ 0x5c52e109, "iwl_opmode_deregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ecc94e, "iwl_bios_get_tas_table" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3f825cdc, "get_device" },
	{ 0x1332e4de, "iwl_abort_notification_waits" },
	{ 0xd03fc4ce, "iwl_get_nvm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x35033c81, "iwl_phy_db_free" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebce17f4, "pskb_expand_head" },
	{ 0x84bb50e1, "iwl_rs_pretty_ant" },
	{ 0x77c56e2, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe031105e, "iwl_init_paging" },
	{ 0x2b71823, "thermal_zone_device_enable" },
	{ 0x9eab07a4, "ieee80211_tx_status_skb" },
	{ 0x120b098f, "__iwl_warn" },
	{ 0x804aad7e, "cfg80211_pmsr_report" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x16d138de, "ieee80211_iter_keys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x75b12e68, "pm_wakeup_dev_event" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x55e4ce2d, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24754222, "ieee80211_sta_set_buffered" },
	{ 0x51cd4801, "ieee80211_sta_uapsd_trigger" },
	{ 0xea083bf0, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xed7a4cee, "wiphy_delayed_work_queue" },
	{ 0x646420a5, "iwl_bios_get_ewrd_table" },
	{ 0xa912156a, "__iwl_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaacb1f58, "put_device" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x7b06950a, "iwl_fw_lookup_cmd_ver" },
	{ 0x68d40e9d, "iwl_pnvm_load" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x48d8c0be, "iwl_fw_dbg_error_collect" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ff70063, "__free_pages" },
	{ 0x7ce31c3e, "iwlwifi_mod_params" },
	{ 0x64c81285, "iwl_read_external_nvm" },
	{ 0x9e08f06, "cfg80211_pmsr_complete" },
	{ 0x93704281, "skb_queue_tail" },
	{ 0xfdd5e1e0, "_iwl_dbg_tlv_time_point" },
	{ 0x7fb95dbd, "module_put" },
	{ 0x5704fdf2, "ieee80211_get_channel_khz" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea792270, "ieee80211_remove_key" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9e18587, "wiphy_to_ieee80211_hw" },
	{ 0x7dfdab57, "ieee80211_rx_ba_timer_expired" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1a3b4361, "ieee80211_gtk_rekey_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x11e04462, "iwl_trans_pcie_remove" },
	{ 0x7c55f97b, "iwl_is_tas_approved" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xd0c85fe5, "ieee80211_reserve_tid" },
	{ 0xbcf10982, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8a44794e, "iwl_bios_get_mcc" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdcde2f24, "ieee80211_find_sta_by_ifaddr" },
	{ 0x79a77a42, "ieee80211_sta_block_awake" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xea1b26fc, "iwl_nvm_fixups" },
	{ 0xb33fa915, "iwl_bios_get_eckv" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,iwlwifi,cfg80211,rfkill");


MODULE_INFO(srcversion, "B02974656AAFAAA4E23EBA5");
