#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0xcb169187, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x2a9b03bb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x6d3eaef8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xb850c4e7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0xb90af516, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x2fe0f9bb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0xe4fae80c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x085dacaf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x7f11659b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0xbadc7ad5, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x6cbca2e8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x0a4a40bd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x0766d8a3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x3b469cd0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xc0419d81, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0xaa9166c6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x99177f45, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x78c3e497, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x35699428, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x15198c7a, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0xb88ba5ca, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x3315ec46, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x4447c980, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x32a340b9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x9b22f5f2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x29fe58fd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x8cd8afba, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x64b4cc2a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0xcbbdea9f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0xf9261172, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xb9c6ab63, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x84e52246, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x50562c6d, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0xcc5fa3ee, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x095317d0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x965b6c54, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0xaa981044, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x65839f34, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x9c1da80d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xc78624a6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x0b51bc3b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xf05d757a, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xb0fafe45, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x49f55dee, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0xad8bca7c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x79d39de9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0xc4189edf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x3f0e293f, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xaa9785d8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x74a008e6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x6377a995, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x0d8fa027, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xddb80311, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x0e8f96e8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x54c787b8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x6bcbd193, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xf1a1105a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0xd3a85fbd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xdda973ab, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xdb93ce45, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xa448d0fa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x5044c1ab, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x75001661, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x57b4e891, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0xb330ae47, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xd76c8d5d, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x3b71238c, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x18888bdf, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x6f936534, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x7bdd548b, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x91bfbdf5, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0xa639ac81, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x1af88f17, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x0032d946, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x7d61abb4, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x257e662b, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x41c8eea7, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x43db9519, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x5dbd64f8, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0xe067e816, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x26acf2b0, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x668d2356, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0xa773e282, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x32189635, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0xa08684af, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0x29135110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x684e4498, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20b9217, "mt76_tx_status_skb_get" },
	{ 0x7348a488, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x315d8ab7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe0691def, "request_firmware" },
	{ 0x93f31b6c, "mt76_get_rate" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0xf55f971, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6d92641c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x292fcadc, "wake_up_process" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x824d99d7, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf9721309, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xd8614d81, "_dev_info" },
	{ 0xa1afdea8, "mt76_init_queue" },
	{ 0x28fddc02, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4512c734, "devm_kfree" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x533a30fa, "skb_pull" },
	{ 0xfad25879, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x37f8d935, "skb_push" },
	{ 0x97471ba, "ieee80211_wake_queues" },
	{ 0x3729c3ef, "mt76_mcu_send_and_get_msg" },
	{ 0xe632bf40, "ieee80211_iter_keys_rcu" },
	{ 0xa93e7788, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x2c16ca1e, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc502abab, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75d28465, "mt76_get_rate_power_limits" },
	{ 0xcfb5e693, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x189bb4f4, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa766a910, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x640959c1, "mt76_tx_status_unlock" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "702A128555C2A2D8D9C1D0D");
