#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0x7c8b9c30, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x09194c7d, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x49972508, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x6f0d7c07, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0xeb395a78, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0x277abcfc, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x8211f750, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x0e436187, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0x0e645d13, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0x14a53361, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xbc7c14a7, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0xe3877e91, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x583ba9fb, "_gpl");
SYMBOL_CRC(mt76u_init, 0x69999130, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x26ceb5c7, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5442af13, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x89e7a45d, "kthread_park" },
	{ 0x93b6ba16, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b5d46de, "mt76_tx_status_check" },
	{ 0x292fcadc, "wake_up_process" },
	{ 0xe1e6248f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0xe3f2de7f, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x13150a4f, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf6dd1200, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69957662, "perf_trace_run_bpf_submit" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdddc22c5, "usb_control_msg" },
	{ 0xbb103b76, "usb_poison_urb" },
	{ 0xf55dab90, "trace_event_reg" },
	{ 0x48148813, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9a76e79, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a858692, "mt76_queue_tx_complete" },
	{ 0xfb955ea7, "kthread_create_on_node" },
	{ 0x91bae42e, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc3e4801d, "mt76_rx_poll_complete" },
	{ 0x30a6a055, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1f7da3ad, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xa1290b8b, "usb_init_urb" },
	{ 0x353f2505, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x49f675d0, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9c229b2a, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb177898e, "page_pool_put_unrefed_page" },
	{ 0x406da200, "usb_free_urb" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x460500ed, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9f792cb, "trace_raw_output_prep" },
	{ 0xa55e1d4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf4990a3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x553f0210, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x257ab5c0, "mt76_has_tx_pending" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "31F342AF061EEFD57471227");
