#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");
KSYMTAB_FUNC(rtw_regd_srrc, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x181d5846, "");
SYMBOL_CRC(rtw_dump_reg, 0xd58cb451, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x914208f3, "");
SYMBOL_CRC(rtw_chip_info_setup, 0xc9a6ba13, "");
SYMBOL_CRC(rtw_core_init, 0x5275b09c, "");
SYMBOL_CRC(rtw_core_deinit, 0xb31ae018, "");
SYMBOL_CRC(rtw_register_hw, 0xec4c9d9a, "");
SYMBOL_CRC(rtw_unregister_hw, 0x88e60761, "");
SYMBOL_CRC(rtw_ops, 0xe5c46229, "");
SYMBOL_CRC(check_hw_ready, 0xd9899d59, "");
SYMBOL_CRC(rtw_restore_reg, 0x638c0d7e, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0xe467ba01, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x42296e13, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x7ad5a633, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x65fe4679, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xee0ce331, "");
SYMBOL_CRC(rtw_rx_stats, 0x3bf4a679, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x5efb64dd, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xbddae232, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xfb748fb3, "");
SYMBOL_CRC(rtw_phy_init, 0x78f87424, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xaef28de3, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x13a02f8c, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x5f73943d, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x73f24c09, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x53a28355, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x8eac038e, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x672ae8a9, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xcdb19ed5, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x36a657e6, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x952b1a9b, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x91832208, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x41222538, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x5a6e55b6, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x3bcefed8, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x15a4161b, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xe33a0f8c, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x9d891325, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0xa4f4c020, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x9371f3f4, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0xaec86fbb, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x62155934, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x36af9743, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0xcec283bd, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xca256899, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x3e5761ff, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xf152d463, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x8bad6ea0, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x9dd999b3, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xe1b3f60f, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xaf73e864, "");
SYMBOL_CRC(rtw_power_mode_change, 0x2975a129, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x5f6a142b, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x9208df04, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x9e4cd0fd, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xa0ed2517, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x68e843aa, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xe11a6d24, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0xedb21d7d, "");
SYMBOL_CRC(rtw_regd_get, 0x15318259, "");
SYMBOL_CRC(rtw_regd_srrc, 0x1ddf7a95, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x93704281, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xb9e18587, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x52faf9d1, "ieee80211_queue_delayed_work" },
	{ 0x43787548, "ieee80211_proberesp_get" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x3bdb6620, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdcde2f24, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37f8d935, "skb_push" },
	{ 0x97471ba, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe632bf40, "ieee80211_iter_keys_rcu" },
	{ 0x4a46e9f, "ieee80211_free_txskb" },
	{ 0x474b95d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x80869ed0, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0xf8421ca5, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1e0d7300, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x66cc9fc9, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc502abab, "ieee80211_stop_queues" },
	{ 0x53ef36ed, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xcfb5e693, "ieee80211_scan_completed" },
	{ 0x5f127c6d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x764acdb6, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x71afe56b, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5db1270b, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xee25912d, "ieee80211_request_smps" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x67d2b881, "ieee80211_queue_work" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0x1cd4f903, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x159c6ef0, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xcf7e0528, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x387e1b46, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x684e4498, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9ba73116, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6b9d6f2e, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xebc18a75, "ieee80211_iterate_stations_atomic" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe22264ec, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x7630f77, "ieee80211_nullfunc_get" },
	{ 0x5cc2573d, "ieee80211_pspoll_get" },
	{ 0xc80e363, "ieee80211_register_hw" },
	{ 0x3b020eea, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68c2f31e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77c56e2, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x16d138de, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7877048a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "D18A9B64A0F42EAD50AA5F0");
