#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x624ec12e, "");
SYMBOL_CRC(ndlc_close, 0x69cc479a, "");
SYMBOL_CRC(ndlc_send, 0xf5f125bb, "");
SYMBOL_CRC(ndlc_recv, 0xfc502d12, "");
SYMBOL_CRC(ndlc_probe, 0x8ab9560c, "");
SYMBOL_CRC(ndlc_remove, 0x965bfc26, "");
SYMBOL_CRC(st_nci_probe, 0x2fd66495, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x8e463abd, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x8f8edd45, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x8cc919a8, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x19ba0d02, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x05fe22e9, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xa314b0d5, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x4cee9e7f, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x5d448789, "");
SYMBOL_CRC(st_nci_se_init, 0xb968e7a1, "");
SYMBOL_CRC(st_nci_se_deinit, 0x21f82654, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xfa7f1adf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f22e01e, "nfc_se_transaction" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x533a30fa, "skb_pull" },
	{ 0xcd626158, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x37f8d935, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3a8b3f48, "nci_prop_cmd" },
	{ 0x6a0d9da5, "nci_core_conn_create" },
	{ 0x4969c1e9, "nci_nfcc_loopback" },
	{ 0xdb434a51, "nci_unregister_device" },
	{ 0xffa680db, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89df4d3f, "nci_hci_send_event" },
	{ 0xceccb83, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4da3c4fc, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe732cc0, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcd406da2, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5d812ae4, "nci_recv_frame" },
	{ 0xbd07a059, "nci_hci_dev_session_init" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xd1ad1bf5, "nci_hci_set_param" },
	{ 0x2663b495, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x39e826fc, "skb_queue_head" },
	{ 0xc1afe907, "nci_free_device" },
	{ 0xf04684cb, "nci_allocate_device" },
	{ 0x5d0f59fa, "nci_register_device" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x3195b67b, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf033f7fa, "nfc_add_se" },
	{ 0x9ba73116, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x87466e53, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77c56e2, "skb_queue_purge_reason" },
	{ 0xae4b29a2, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f331793, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x93704281, "skb_queue_tail" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");
