#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa51285f1, "cros_ec_check_features" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdef88c9c, "typec_partner_register_altmode" },
	{ 0xa69f05fe, "typec_partner_set_num_altmodes" },
	{ 0x68b05694, "typec_unregister_partner" },
	{ 0x9ee3c8d4, "typec_set_pwr_opmode" },
	{ 0xd2fa1286, "typec_switch_set" },
	{ 0x6fa8e53a, "fwnode_property_read_u32_array" },
	{ 0xea3773b9, "typec_set_orientation" },
	{ 0x584b757e, "typec_unregister_cable" },
	{ 0x4512c734, "devm_kfree" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0x74e465a0, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x41bee597, "usb_power_delivery_register_capabilities" },
	{ 0xa6ee19ea, "typec_register_plug" },
	{ 0x40644bf8, "usb_power_delivery_unregister" },
	{ 0x4b35f5f6, "typec_altmode_attention" },
	{ 0x264cd058, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0xbf89c904, "typec_altmode_vdm" },
	{ 0x8819feca, "typec_unregister_port" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc1cde8e8, "device_get_child_node_count" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0x2d1e301d, "typec_find_power_role" },
	{ 0xb3d3d698, "typec_register_port" },
	{ 0x5a6a26ef, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6cc08341, "typec_retimer_put" },
	{ 0x3d92be0, "typec_partner_set_usb_power_delivery" },
	{ 0x58a76015, "typec_unregister_plug" },
	{ 0x19c4b596, "__platform_driver_register" },
	{ 0x4e863c2a, "typec_plug_register_altmode" },
	{ 0xd400e585, "fwnode_find_reference" },
	{ 0x13f83491, "fwnode_property_read_string" },
	{ 0xf48c0948, "typec_unregister_altmode" },
	{ 0x13440fa8, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3eb5282, "typec_retimer_set" },
	{ 0xa0309721, "usb_power_delivery_unregister_capabilities" },
	{ 0x87fe21d9, "typec_partner_set_identity" },
	{ 0x6b3d9465, "typec_mux_set" },
	{ 0x2299c12a, "fwnode_typec_retimer_get" },
	{ 0xc32a5882, "typec_set_pwr_role" },
	{ 0x696b6d43, "typec_match_altmode" },
	{ 0xec2af2a3, "typec_partner_usb_power_delivery_register" },
	{ 0x813a8f0a, "dev_err_probe" },
	{ 0xcce7b1e2, "device_get_next_child_node" },
	{ 0xac87eaf7, "cros_ec_cmd" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe4a2a634, "is_acpi_device_node" },
	{ 0x90524652, "fwnode_typec_switch_get" },
	{ 0x553c098b, "typec_partner_set_pd_revision" },
	{ 0x7dc7a769, "typec_register_partner" },
	{ 0x4f59d519, "devm_kmalloc" },
	{ 0x56cd5c5d, "typec_port_register_altmode" },
	{ 0x7c66025, "platform_driver_unregister" },
	{ 0x86521d45, "typec_switch_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeafc1eb8, "typec_find_port_power_role" },
	{ 0xfc8df340, "typec_mux_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xebb2b7be, "fwnode_usb_role_switch_get" },
	{ 0x8bda2df3, "cros_usbpd_register_notify" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21fe576, "fwnode_typec_mux_get" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,cros_usbpd_notify");

MODULE_ALIAS("acpi*:GOOG0014:*");

MODULE_INFO(srcversion, "A5DABE250B07CAEC1903256");
