#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0xe9a1edd1, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x763f3ee8, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x7495d69c, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x2323dd35, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xf49a7c64, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x31af4374, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xdbd50847, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x5c9f0dd7, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x2e979234, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x56144ff5, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x0dd620e6, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x6b500cb6, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x8f618934, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xe6a3ff01, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x85f3d5ba, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xdae7ef6c, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x1f4935cf, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x15836dc2, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x0a326330, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x83c71651, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xad50f036, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x440d6c1f, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0xed7cd1a9, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x8e4c2394, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xd111f1d3, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x4d539caa, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x37098530, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x12b9d26a, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xf3e3cfd5, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xe497292a, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x8ea00a5f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x292fcadc, "wake_up_process" },
	{ 0xe1e6248f, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaacb1f58, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xb7c3e1fa, "device_for_each_child_reverse" },
	{ 0xd8614d81, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x19131df0, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x69957662, "perf_trace_run_bpf_submit" },
	{ 0x990d06be, "devm_acpi_dev_add_driver_gpios" },
	{ 0x77bf9920, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe5e01daa, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x61f00a9d, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c605c2a, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xf55dab90, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd1f08ed5, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x46ab0c96, "sysfs_create_group" },
	{ 0xc9a76e79, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff9bb7c8, "serdev_device_wait_until_sent" },
	{ 0x3b68b51f, "__serdev_device_driver_register" },
	{ 0xf4564c94, "bpf_trace_run1" },
	{ 0xdf31c61a, "_dev_warn" },
	{ 0xd2010e08, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x271b21e3, "kmem_cache_alloc_noprof" },
	{ 0x522da271, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf6dfd2f3, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0xfb955ea7, "kthread_create_on_node" },
	{ 0x83d1d46c, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x30a6a055, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1ee30b13, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x813a8f0a, "dev_err_probe" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa5db1d18, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x48c62e18, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xced232c9, "bus_register" },
	{ 0x2d23c3d1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc0cf431f, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xe4a2a634, "is_acpi_device_node" },
	{ 0xdebfef2a, "gpiod_put" },
	{ 0xc366eec9, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa03329ce, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x59811142, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9f792cb, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x60a9d2f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa55e1d4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf4990a3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x8154bbf, "device_initialize" },
	{ 0x880626e1, "serdev_device_set_flow_control" },
	{ 0x553f0210, "trace_event_raw_init" },
	{ 0xc0a2bf9b, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x376dcb02, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x4671c72e, "fwnode_get_next_child_node" },
	{ 0x5442af13, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xb0205067, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x638329e4, "__dynamic_dev_dbg" },
	{ 0x3b5ed532, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "E23E923E0E1AAC82BC3732D");
