#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc46f4af, "virtio_transport_stream_has_data" },
	{ 0xa39c923f, "vhost_vq_access_ok" },
	{ 0xc17a5d20, "vhost_dev_stop" },
	{ 0x926fe152, "vhost_dev_init" },
	{ 0x1c37283, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0x2db91675, "iov_iter_init" },
	{ 0x9a3a7860, "virtio_transport_dgram_bind" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd51e8b94, "sk_error_report" },
	{ 0xa503a05e, "virtio_transport_notify_recv_pre_block" },
	{ 0xe2f701ba, "vhost_vq_init_access" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0xf5fade4e, "virtio_transport_dgram_enqueue" },
	{ 0x5bf37650, "vhost_vq_work_queue" },
	{ 0xe14e1c3b, "virtio_transport_shutdown" },
	{ 0x8a58e4b2, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf5eaa55f, "virtio_transport_notify_send_post_enqueue" },
	{ 0xba69713b, "virtio_transport_dgram_dequeue" },
	{ 0x54f0ca53, "vhost_poll_queue" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0x5b90457, "compat_ptr_ioctl" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x295118ec, "virtio_transport_notify_send_init" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0bd1127, "vhost_chr_write_iter" },
	{ 0x5af9cc4a, "noop_llseek" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x3eb7dd17, "virtio_transport_notify_send_pre_enqueue" },
	{ 0xacc1fbe8, "virtio_transport_seqpacket_dequeue" },
	{ 0xb4097fd4, "vhost_get_vq_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd644864a, "virtio_transport_seqpacket_enqueue" },
	{ 0xebddb6c3, "virtio_transport_seqpacket_has_data" },
	{ 0x546fd5e0, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0xa58afe9c, "virtio_transport_stream_enqueue" },
	{ 0x11b4dc7, "vhost_chr_read_iter" },
	{ 0x3ebad681, "virtio_transport_stream_dequeue" },
	{ 0x721b16f7, "vsock_core_unregister" },
	{ 0x11d157e6, "skb_copy_datagram_iter" },
	{ 0x9976ee, "vsock_core_register" },
	{ 0x2fc7ebb, "vhost_dev_ioctl" },
	{ 0x76a61290, "vhost_signal" },
	{ 0x54aa8a6f, "misc_register" },
	{ 0xb1beb98e, "vhost_disable_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4d0d90a8, "virtio_transport_notify_poll_out" },
	{ 0x30a1c2de, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x4d557921, "vhost_set_backend_features" },
	{ 0x8310087f, "vhost_enable_notify" },
	{ 0xe3d6f700, "virtio_transport_deliver_tap_pkt" },
	{ 0x1516165f, "vhost_log_access_ok" },
	{ 0x946dd967, "virtio_transport_read_skb" },
	{ 0x23e2b863, "vhost_dev_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d29af38, "virtio_transport_stream_is_active" },
	{ 0x36f486be, "virtio_transport_do_socket_init" },
	{ 0x53e13192, "vhost_chr_poll" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5359cb38, "virtio_transport_notify_poll_in" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x59bfb162, "_copy_from_iter" },
	{ 0xfcf58837, "virtio_transport_stream_has_space" },
	{ 0xa7072ade, "virtio_transport_notify_send_pre_block" },
	{ 0x33dd99c9, "vq_meta_prefetch" },
	{ 0x5d8cd073, "vhost_dev_check_owner" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x8a3b35eb, "virtio_transport_notify_buffer_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2636999c, "virtio_transport_destruct" },
	{ 0x4f54ba08, "virtio_transport_recv_pkt" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x1942d6aa, "vhost_add_used" },
	{ 0xc60c88bb, "virtio_transport_purge_skbs" },
	{ 0x71e74b33, "virtio_transport_notify_recv_init" },
	{ 0x3770eddc, "vhost_init_device_iotlb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe1d9ea01, "virtio_transport_release" },
	{ 0xb9627dac, "_copy_to_iter" },
	{ 0xaccfa053, "misc_deregister" },
	{ 0x90aa8549, "vsock_find_cid" },
	{ 0xabb8c3da, "vhost_vring_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf780a8b, "skb_put" },
	{ 0xef959549, "vsock_for_each_connected_socket" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x91d8df0f, "vhost_dev_flush" },
	{ 0x684e4498, "consume_skb" },
	{ 0x7fc385ec, "virtio_transport_connect" },
	{ 0x18f3e98e, "virtio_transport_notify_set_rcvlowat" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vhost,vsock");


MODULE_INFO(srcversion, "41B47C0A8AA3FEB1E802D21");
