#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x33fa7eb3, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ff70063, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x56eaec03, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd04c1942, "ceph_osdc_wait_request" },
	{ 0x2d3d60b6, "inode_init_once" },
	{ 0xb4bad039, "folio_wait_private_2" },
	{ 0xc50fb01a, "file_write_and_wait_range" },
	{ 0xed853d9e, "ceph_osdc_new_request" },
	{ 0x5b90457, "compat_ptr_ioctl" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0xbd464530, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0xaa594ae6, "__fscache_relinquish_volume" },
	{ 0x90889260, "ilookup5" },
	{ 0xb5cc4628, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x983947bf, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x19f4c501, "posix_acl_create" },
	{ 0x7c58b1b9, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0xfaca1e19, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xdbe1ebec, "generic_file_read_iter" },
	{ 0x939992ba, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe66a21fa, "set_cached_acl" },
	{ 0xf14a187f, "simple_attr_release" },
	{ 0x5a32ea18, "ceph_auth_handle_svc_reply_more" },
	{ 0x74c1476f, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x54570a3e, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x119e6995, "init_uts_ns" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x704bcd29, "wait_on_page_writeback" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x321e1faa, "__fscrypt_prepare_rename" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa2a4f26, "fscrypt_encrypt_block_inplace" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb88b169b, "file_update_time" },
	{ 0x4814822, "fscrypt_ioctl_set_policy" },
	{ 0x6d3d433c, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0xfa3a5631, "kmem_cache_alloc_lru_noprof" },
	{ 0x9c605c2a, "kmem_cache_free" },
	{ 0xbb6f9f59, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0x8e388e54, "ceph_auth_add_authorizer_challenge" },
	{ 0x88b58eed, "d_move" },
	{ 0xc588eb4f, "netfs_release_folio" },
	{ 0x1edfe36e, "seq_putc" },
	{ 0x9e715080, "from_kgid" },
	{ 0x9f6c4e40, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xeb6d5f3b, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1fb28bdc, "__fscrypt_encrypt_symlink" },
	{ 0x46bf0a32, "ceph_osdc_abort_requests" },
	{ 0xbdef28c3, "ceph_zero_page_vector_range" },
	{ 0x83c7ff93, "param_set_bool" },
	{ 0xe449ac4d, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa5b51429, "file_remove_privs" },
	{ 0x5e9f5ecf, "__fscrypt_prepare_link" },
	{ 0x70f17f06, "ceph_osdc_start_request" },
	{ 0x57e2cd9, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdd72b4f6, "ceph_compare_options" },
	{ 0x5d500fb7, "d_obtain_alias" },
	{ 0xa96982bc, "file_modified" },
	{ 0x140dab46, "posix_acl_chmod" },
	{ 0x736633b2, "copy_page_to_iter" },
	{ 0x5ea34bbb, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb9630e7d, "ceph_parse_mon_ips" },
	{ 0x4193731, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8204ebf4, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1b82e613, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x92da113f, "fscrypt_fname_encrypted_size" },
	{ 0xda317c40, "finish_no_open" },
	{ 0xe8e19571, "d_obtain_root" },
	{ 0xc689dec6, "netfs_dirty_folio" },
	{ 0x7f8958ce, "fscrypt_d_revalidate" },
	{ 0x6ad6651a, "osd_req_op_extent_init" },
	{ 0xb2b0e30f, "ceph_put_page_vector" },
	{ 0x301b4d05, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfc2a1fdb, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x66d6e772, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ac63344, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x5c7f4b96, "security_inode_invalidate_secctx" },
	{ 0x801cab46, "osd_req_op_extent_osd_iter" },
	{ 0x447ad2ba, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x271b21e3, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0x7da5495d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xbac66e3, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xba3da4e2, "d_delete" },
	{ 0x7a56021a, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7e394655, "simple_attr_read" },
	{ 0x9e88a130, "end_page_writeback" },
	{ 0xf214e518, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3f1752e, "osd_req_op_extent_osd_data_pages" },
	{ 0x56b3012f, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254c9c1d, "iov_iter_get_pages_alloc2" },
	{ 0xd06f5d09, "ceph_osdc_sync" },
	{ 0x648ccf40, "set_page_dirty" },
	{ 0x5cfb677e, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xc621185f, "ceph_destroy_client" },
	{ 0xc5766edd, "seq_read" },
	{ 0x5dc2f0cd, "fscrypt_free_bounce_page" },
	{ 0x23a0f32b, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbc61e32f, "noop_direct_IO" },
	{ 0xf9c59298, "__fscrypt_prepare_readdir" },
	{ 0xc097cab5, "debugfs_create_file" },
	{ 0x95a080d1, "igrab" },
	{ 0x987d7c40, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xec3fa9c, "__ceph_open_session" },
	{ 0x5969346, "set_page_writeback" },
	{ 0x83870d87, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6f3e9160, "fscrypt_ioctl_add_key" },
	{ 0x7910ea01, "d_find_alias" },
	{ 0x839442c5, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0x9a4f32a8, "fscrypt_fname_disk_to_usr" },
	{ 0xb11d734d, "inode_set_ctime_current" },
	{ 0x30ce4f47, "bdi_dev_name" },
	{ 0xbf8b7df5, "seq_write" },
	{ 0x2e7a195a, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xe213d2fc, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x47637f4d, "fscrypt_ioctl_get_policy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcb7acbb6, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93b2501e, "seq_printf" },
	{ 0xced16a20, "ceph_monc_do_statfs" },
	{ 0xc9d9b7c6, "dput" },
	{ 0xc382a2e4, "ceph_monc_validate_auth" },
	{ 0xcd5e3620, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48606c29, "generic_delete_inode" },
	{ 0xb4e1e05a, "deactivate_locked_super" },
	{ 0x739086de, "__percpu_down_read" },
	{ 0x1ddc07de, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x93c27c23, "set_page_dirty_lock" },
	{ 0xe1c2ea52, "tag_pages_for_writeback" },
	{ 0x4b135eb8, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaefe7fdb, "posix_acl_update_mode" },
	{ 0x5df34903, "ceph_auth_handle_bad_authorizer" },
	{ 0x2509cd91, "ceph_monc_renew_subs" },
	{ 0xc6815087, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x3914835b, "__folio_lock" },
	{ 0xc1a6fa54, "pagecache_get_page" },
	{ 0x4a08e62e, "ceph_msg_put" },
	{ 0xaa38bf3, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x375d2bf0, "__fscache_use_cookie" },
	{ 0x10cc84dc, "rcuwait_wake_up" },
	{ 0x3884cd14, "single_release" },
	{ 0xbb7fa84e, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xadf1a8cd, "iov_iter_xarray" },
	{ 0xc5cebe27, "__fs_parse" },
	{ 0xaaf29590, "filemap_splice_read" },
	{ 0x4a1f411b, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xcad0d547, "dget_parent" },
	{ 0xf88031ff, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfd7f575a, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x9e5e8042, "security_dentry_init_security" },
	{ 0xe2576115, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xfe73a857, "osd_req_op_raw_data_in_pages" },
	{ 0x7f8b5fab, "fscrypt_prepare_new_inode" },
	{ 0x42fbdc42, "netfs_subreq_terminated" },
	{ 0x4ace8b35, "ceph_con_init" },
	{ 0x74cd2ed0, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa41f222d, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xeae5b10, "fscrypt_get_symlink" },
	{ 0xb6bf6758, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x89f90002, "filemap_fault" },
	{ 0xbe946d94, "d_invalidate" },
	{ 0xe5acc8c9, "debugfs_create_dir" },
	{ 0xd929293e, "__mark_inode_dirty" },
	{ 0xf2fd36ea, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x53b954a2, "up_read" },
	{ 0x7c5a2601, "ceph_osdc_clear_abort_err" },
	{ 0x3936a36f, "iov_iter_npages" },
	{ 0x729c1c67, "drop_nlink" },
	{ 0xe49564ff, "fscrypt_free_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x99e6a488, "fscrypt_has_permitted_context" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xae7bb756, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x2d23c3d1, "kmem_cache_destroy" },
	{ 0xb46b4b3c, "__fscache_acquire_cookie" },
	{ 0x626916c, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x96b1607e, "forget_cached_acl" },
	{ 0xf6f94dcd, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x4210df02, "fscrypt_context_for_new_inode" },
	{ 0x69dd4aaf, "ceph_con_keepalive" },
	{ 0x933bc394, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x502f3b22, "folio_invalidate" },
	{ 0xd958e71a, "ceph_auth_get_authorizer" },
	{ 0x76105f01, "__page_file_index" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1577ade1, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0x585007ce, "generic_fillattr" },
	{ 0x297a57f1, "vfs_fsync_range" },
	{ 0x433a74d4, "setattr_prepare" },
	{ 0xd4cc97e8, "ceph_print_client_options" },
	{ 0x3c9fdbce, "simple_attr_write" },
	{ 0xe2b1e679, "file_check_and_advance_wb_err" },
	{ 0xafcfafb1, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf289bca, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x9ad5664f, "d_instantiate" },
	{ 0xb9627dac, "_copy_to_iter" },
	{ 0xbae188e6, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xab66d06f, "clear_inode" },
	{ 0xf7d296f4, "ceph_create_client" },
	{ 0x746d3bc8, "__fscache_acquire_volume" },
	{ 0xdcccd56f, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcff91902, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x66fb9f7c, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x52139d64, "fs_param_is_string" },
	{ 0x81d6c0ad, "__folio_batch_release" },
	{ 0xe3cc248f, "folio_unlock" },
	{ 0xb31c8654, "__fscache_resize_cookie" },
	{ 0x6a224f32, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x2e458a1a, "fscrypt_parse_test_dummy_encryption" },
	{ 0x4a0ad4f0, "inode_insert5" },
	{ 0x2c909fb8, "ceph_monc_want_map" },
	{ 0x4b843dea, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73635a70, "netfs_unpin_writeback" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x822b1dc1, "ceph_con_open" },
	{ 0x5f9d93ef, "forget_all_cached_acls" },
	{ 0x7cbaceb1, "init_special_inode" },
	{ 0x23ac3972, "unregister_filesystem" },
	{ 0xe2258869, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb8af17f9, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x5496162a, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xac4d2d63, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fdd0a00, "generic_error_remove_folio" },
	{ 0x5f822f40, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x31280759, "iov_iter_advance" },
	{ 0x2b43f18a, "fscrypt_ioctl_get_key_status" },
	{ 0xf20c1537, "d_make_root" },
	{ 0x9e5741fb, "d_same_name" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5f39121b, "fscrypt_decrypt_block_inplace" },
	{ 0x79adf862, "read_cache_folio" },
	{ 0xb27d1c5d, "invalidate_mapping_pages" },
	{ 0x7557fcc9, "sync_filesystem" },
	{ 0xbfceaced, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xf5903dde, "ceph_parse_param" },
	{ 0xd56ae19b, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xbfdeafad, "sget_fc" },
	{ 0x74e81b8e, "d_splice_alias" },
	{ 0x6f6e6b16, "iov_iter_get_pages2" },
	{ 0xe8710c74, "current_time" },
	{ 0xd5f2fb2f, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc736f947, "from_vfsuid" },
	{ 0x48bba00a, "ihold" },
	{ 0x9ec30b42, "d_find_any_alias" },
	{ 0xed1efb51, "inode_dio_wait" },
	{ 0x38ef009b, "generic_permission" },
	{ 0xe7a99271, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc7cd7f4, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf83b67a7, "posix_lock_file" },
	{ 0x2d593bd1, "finish_open" },
	{ 0x5323d28c, "iput" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x76546e97, "seq_lseek" },
	{ 0x8bd9350d, "fs_param_is_enum" },
	{ 0xcea4c613, "fs_param_is_s32" },
	{ 0x4369ad03, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x55bbc7b5, "logfc" },
	{ 0x62dc9a55, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb35f9326, "fscrypt_show_test_dummy_encryption" },
	{ 0xbafd32d3, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x99c399b, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x8e8652c2, "__fscache_relinquish_cookie" },
	{ 0xfd5a7949, "filemap_alloc_folio_noprof" },
	{ 0x9c576993, "ceph_msg_new" },
	{ 0x45532c02, "register_filesystem" },
	{ 0xb0205067, "kmem_cache_create" },
	{ 0xf7dcc461, "ceph_auth_invalidate_authorizer" },
	{ 0x6f28cb13, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xea0b7ecc, "fscrypt_ioctl_get_policy_ex" },
	{ 0xfd547c4e, "ceph_monc_got_map" },
	{ 0xa16902e5, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xa26686f8, "ceph_osdc_alloc_messages" },
	{ 0x4eb04a26, "clear_page_dirty_for_io" },
	{ 0x253f1df0, "ceph_msg_data_add_pagelist" },
	{ 0xcd34f6e7, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xc4765c71, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xc0bdb238, "shrink_dcache_parent" },
	{ 0x30a93529, "__put_cred" },
	{ 0xa241337e, "d_prune_aliases" },
	{ 0xd42baaa, "ceph_reset_client_addr" },
	{ 0xde7cac5d, "splice_file_range" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0xfc83dcf3, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xebcf99cf, "fs_param_is_u32" },
	{ 0xc0d03288, "inode_newsize_ok" },
	{ 0x32875e45, "netfs_invalidate_folio" },
	{ 0x83a93eec, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x6ac5d5f8, "ceph_msg_new2" },
	{ 0xc203818d, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x106f4f81, "ceph_release_page_vector" },
	{ 0xcd843221, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0x24a7c732, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x203a1358, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0xd80856fa, "ceph_auth_verify_authorizer_reply" },
	{ 0x9515d014, "make_kuid" },
	{ 0x5815d9a0, "truncate_inode_pages_final" },
	{ 0x219b7c1a, "d_alloc" },
	{ 0x7a6545c4, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xd69e1bf6, "fscrypt_file_open" },
	{ 0x455c84dc, "generic_perform_write" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "F06532C018514C2055166A8");
