#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x026bb82e, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xcfe31583, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x308ad841, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xe7a7016b, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x3ead6155, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x8da11710, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5b83d2c4, "skb_mpls_pop" },
	{ 0x58492f5b, "skb_vlan_pop" },
	{ 0xabb4e3b2, "dst_init" },
	{ 0x7fb95dbd, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6ea835ad, "rtnl_link_unregister" },
	{ 0x69957662, "perf_trace_run_bpf_submit" },
	{ 0x88941269, "__skb_get_hash" },
	{ 0x7e5e9df4, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x96756ac4, "ipv6_stub" },
	{ 0x5a784b9d, "skb_mpls_update_lse" },
	{ 0x533a30fa, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6397a190, "netlink_unicast" },
	{ 0x41d57897, "bpf_trace_run5" },
	{ 0x835dbd55, "dev_get_by_index_rcu" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37f8d935, "skb_push" },
	{ 0x9c605c2a, "kmem_cache_free" },
	{ 0xbfb99621, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf55dab90, "trace_event_reg" },
	{ 0xdf5ccebf, "skb_ensure_writable" },
	{ 0x5a69b46, "free_netdev" },
	{ 0xe9cd3cdb, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6de6568b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4484ca2c, "ethtool_op_get_link" },
	{ 0xf58516d7, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xbda2ddf8, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x271b21e3, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x66d265ec, "__pskb_pull_tail" },
	{ 0xbf45d5f1, "nf_ct_delete" },
	{ 0x75ec5f75, "nf_conncount_init" },
	{ 0x89f1303e, "skb_vlan_push" },
	{ 0x5bd06f12, "dev_get_tstats64" },
	{ 0xd24fac90, "netif_rx" },
	{ 0x66cc9fc9, "__netdev_alloc_skb" },
	{ 0x1a48c849, "netdev_master_upper_dev_link" },
	{ 0xb6ab16a9, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x65104ccc, "inet_proto_csum_replace16" },
	{ 0x31f8adc1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1edd467f, "skb_scrub_packet" },
	{ 0x9a4ca6d8, "nf_ct_deliver_cached_events" },
	{ 0x28002cda, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x23ae351a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdb2cf5ee, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x30a6a055, "trace_event_buffer_reserve" },
	{ 0x62f06197, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec4ee58f, "inet_proto_csum_replace4" },
	{ 0x5f6213a5, "nf_conncount_destroy" },
	{ 0x4883de4d, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ac7f57c, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1f83aaf4, "dev_get_by_name" },
	{ 0xb299e796, "skb_clone" },
	{ 0xac406cb8, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1b289a5a, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf6bf31cb, "peernet2id_alloc" },
	{ 0x5eb73d71, "nf_ct_get_tuplepr" },
	{ 0x96c15db8, "netdev_rx_handler_register" },
	{ 0x8965a033, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xd4eb31ac, "genl_unregister_family" },
	{ 0x3de4bc53, "dev_disable_lro" },
	{ 0xe54044bd, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2406bdc2, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x16114986, "genl_register_family" },
	{ 0xff33a2dd, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5042a1a9, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x722940b5, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xf1ae7c7e, "skb_mpls_push" },
	{ 0xaca0f255, "register_pernet_device" },
	{ 0x47044de2, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d23c3d1, "kmem_cache_destroy" },
	{ 0x6bd426af, "__skb_vlan_pop" },
	{ 0x384968a7, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3fb48a0c, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x37f93d4c, "nf_ct_ext_add" },
	{ 0xcd58b3dd, "__skb_get_hash_symmetric" },
	{ 0x43ea9ed6, "nsh_pop" },
	{ 0xa379ba97, "nf_conntrack_find_get" },
	{ 0x26204a3a, "nf_ct_set_timeout" },
	{ 0xc15a89fa, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9a3eb681, "dev_fill_metadata_dst" },
	{ 0x7eba269b, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x4ed9e341, "skb_copy_bits" },
	{ 0x3bf293e3, "nf_ct_handle_fragments" },
	{ 0xb1f4f73, "eth_mac_addr" },
	{ 0xdf780a8b, "skb_put" },
	{ 0xf78427d3, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x66941e56, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x684e4498, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2c70b216, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa1685cbc, "skb_eth_pop" },
	{ 0xa9f792cb, "trace_raw_output_prep" },
	{ 0x29a2095, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x53f8f39f, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x91b27226, "nf_ct_helper" },
	{ 0xa55e1d4, "__trace_trigger_soft_disabled" },
	{ 0xab64c9c0, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xf4990a3, "trace_event_printf" },
	{ 0x6ba183b2, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfe4e86a7, "rtnl_link_register" },
	{ 0xb2654abb, "nf_connlabels_put" },
	{ 0x69d67c48, "genlmsg_put" },
	{ 0xa5d7a409, "___pskb_trim" },
	{ 0x553f0210, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6e86bad, "dev_set_promiscuity" },
	{ 0x8cde12ac, "nf_ct_destroy_timeout" },
	{ 0xfdf907c2, "nf_ct_add_helper" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x8d86d55e, "nf_conntrack_helper_put" },
	{ 0xf240092c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd403d18e, "nf_ct_skb_network_trim" },
	{ 0x54b59e3a, "unregister_netdevice_queue" },
	{ 0xb0205067, "kmem_cache_create" },
	{ 0xeb5b6460, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xa57745c9, "ether_setup" },
	{ 0xd65eb0fe, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebce17f4, "pskb_expand_head" },
	{ 0xa7342f24, "skb_csum_hwoffload_help" },
	{ 0xe1e6248f, "trace_event_buffer_commit" },
	{ 0xbbf00ea4, "dev_addr_mod" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xd50e8185, "nf_connlabels_replace" },
	{ 0xd1211ef, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3ba54d7, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7f1f7c52, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xead352e2, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbe593c91, "skb_eth_push" },
	{ 0x7a899fa1, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "28B0EAFEEF492AC528CE226");
