#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xcbaf0d83, "");
SYMBOL_CRC(pn_sock_unhash, 0xcf48ade5, "");
SYMBOL_CRC(phonet_stream_ops, 0xbd1bd276, "");
SYMBOL_CRC(pn_sock_get_port, 0x1659080a, "");
SYMBOL_CRC(phonet_header_ops, 0x42e4e618, "");
SYMBOL_CRC(pn_skb_send, 0xbcd7e751, "");
SYMBOL_CRC(phonet_proto_register, 0x6e3e875c, "");
SYMBOL_CRC(phonet_proto_unregister, 0x1f2f980a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x256b9960, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x49c32189, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x545ae067, "sock_register" },
	{ 0x22ae7826, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x89aba379, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65c7d461, "rtnl_set_sk_err" },
	{ 0x5032b452, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7fb95dbd, "module_put" },
	{ 0xb1fd3a62, "__sk_receive_skb" },
	{ 0xcbb46924, "sock_no_shutdown" },
	{ 0x4750c7b4, "__dev_get_by_index" },
	{ 0x7e5e9df4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xad42d82e, "dev_remove_pack" },
	{ 0xfc7ea23d, "dev_get_by_index" },
	{ 0x703fce3a, "sk_free" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0xfa1621ea, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37f8d935, "skb_push" },
	{ 0xe6f21d68, "sock_no_listen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x31bbc5ba, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x11d157e6, "skb_copy_datagram_iter" },
	{ 0x65e34a43, "rtnl_register_module" },
	{ 0x35076b8c, "sk_alloc" },
	{ 0xa2fcaa11, "unregister_pernet_subsys" },
	{ 0xea7d3686, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54947633, "sock_no_mmap" },
	{ 0x66d265ec, "__pskb_pull_tail" },
	{ 0xd24fac90, "netif_rx" },
	{ 0xb3733b4f, "sock_common_recvmsg" },
	{ 0x31f8adc1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd286993c, "sk_common_release" },
	{ 0x71bbde04, "seq_pad" },
	{ 0x44b3a3d2, "sock_i_ino" },
	{ 0xdb2cf5ee, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xfbdbb5a7, "skb_recv_datagram" },
	{ 0xe76a96e, "sock_alloc_send_pskb" },
	{ 0xbf8b7df5, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa95b2a19, "remove_proc_entry" },
	{ 0xa4e994f1, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x93b2501e, "seq_printf" },
	{ 0xb299e796, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x59bfb162, "_copy_from_iter" },
	{ 0x7fd435b0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0x84714f98, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x35e750f6, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7babab6, "sock_init_data" },
	{ 0x7c90c875, "sk_ioctl" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbc8e6215, "release_sock" },
	{ 0x3c3c55af, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xf9ec1d22, "skb_free_datagram" },
	{ 0x8379ebf0, "sock_queue_rcv_skb_reason" },
	{ 0xb0054e8c, "try_module_get" },
	{ 0x975f3c70, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2af1cd3d, "__nlmsg_put" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x684e4498, "consume_skb" },
	{ 0xd48304cb, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xf6ed61ff, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa5d7a409, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6660ceec, "sock_no_connect" },
	{ 0xd3285ea4, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa78ac80f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebce17f4, "pskb_expand_head" },
	{ 0x63ba0ecf, "register_pernet_subsys" },
	{ 0x77c56e2, "skb_queue_purge_reason" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "758AA57DEA8FCD98FFD792A");
