#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xe3d6f700, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x7eb690c7, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x961a854f, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x6748fdff, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x3ebad681, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xacc1fbe8, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xd644864a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xba69713b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xbc46f4af, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xebddb6c3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xfcf58837, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x36f486be, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x8a3b35eb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x5359cb38, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x4d0d90a8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x71e74b33, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xa503a05e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x546fd5e0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x30a1c2de, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x295118ec, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xa7072ade, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x3eb7dd17, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xf5eaa55f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x01c37283, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x2d29af38, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x9a3a7860, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x7fc385ec, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xe14e1c3b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf5fade4e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xa58afe9c, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x2636999c, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xe1d9ea01, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x4f54ba08, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xc60c88bb, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x946dd967, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x18f3e98e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4990a3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3848de24, "vsock_deliver_tap" },
	{ 0x553f0210, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd51e8b94, "sk_error_report" },
	{ 0xe1e6248f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ba5aabc, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69957662, "perf_trace_run_bpf_submit" },
	{ 0x703fce3a, "sk_free" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0xf55dab90, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x36ada0a9, "__skb_recv_datagram" },
	{ 0x31bbc5ba, "lock_sock_nested" },
	{ 0x57940822, "vsock_stream_has_data" },
	{ 0x11d157e6, "skb_copy_datagram_iter" },
	{ 0x5a651767, "bpf_trace_run9" },
	{ 0xdbf863ae, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcdb991ee, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5e2a0cb, "bpf_trace_run10" },
	{ 0x5b0c3751, "vsock_core_get_transport" },
	{ 0xa3741ea, "__zerocopy_sg_from_iter" },
	{ 0x2147c94c, "vsock_stream_has_space" },
	{ 0xbe8dfaa6, "skb_set_owner_w" },
	{ 0x30a6a055, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x59bfb162, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7321877f, "msg_zerocopy_realloc" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xe618456a, "vsock_create_connected" },
	{ 0x83c51f2c, "vsock_assign_transport" },
	{ 0x35e750f6, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3936a36f, "iov_iter_npages" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0xbc8e6215, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x48be859f, "vsock_data_ready" },
	{ 0x1984b83f, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x55246976, "vsock_insert_connected" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x684e4498, "consume_skb" },
	{ 0xa9f792cb, "trace_raw_output_prep" },
	{ 0xa55e1d4, "__trace_trigger_soft_disabled" },
	{ 0xb853528f, "vsock_remove_sock" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");
