#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x208f3b53, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x8bd2c6dc, "");
SYMBOL_CRC(wiphy_register, 0xe5a6c262, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x9089acf1, "");
SYMBOL_CRC(wiphy_unregister, 0x724f6395, "");
SYMBOL_CRC(wiphy_free, 0xdc5c8896, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x97651208, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x5187d4b0, "");
SYMBOL_CRC(cfg80211_stop_iface, 0xa78f9ef2, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xaf6f7593, "");
SYMBOL_CRC(wiphy_work_queue, 0xea661568, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x552e4f1e, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xb101f553, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xed7a4cee, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x3c56ba9e, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xb10e05e9, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x5704fdf2, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x6d92641c, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xaa97aa54, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x22381e90, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x3cd11c00, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xe2691023, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xf002f36a, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xce84aa21, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xc1e4efc4, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x92d2a9ce, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x1e1183a0, "");
SYMBOL_CRC(cfg80211_get_station, 0xdabf8039, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x7df5441e, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x22f9e7a9, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x58e2eb41, "");
SYMBOL_CRC(get_wiphy_regdom, 0xfd717509, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xd2b5f000, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x653f94f3, "");
SYMBOL_CRC(regulatory_hint, 0xe22264ec, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xb1ec8740, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xbb9f0c56, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x0ed54e8b, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x6dd9168a, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xb1c46bb9, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x299507a6, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xb7dbebc8, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x1dd4b58c, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xf80543c8, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x3ffd8669, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x856050c8, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x1901d196, "");
SYMBOL_CRC(cfg80211_put_bss, 0x0d83a69b, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x2ae747f0, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x05c6d0af, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0x91a8090e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0xa4508766, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x42596f9c, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xe06a5f46, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x4320af93, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xb71678cc, "");
SYMBOL_CRC(cfg80211_nan_match, 0xe382e8ac, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x087650b1, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xe17dd389, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x6d596e95, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x437d83df, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xffd4700a, "");
SYMBOL_CRC(cfg80211_links_removed, 0xdedc8595, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x78ba1715, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xc68e3e0a, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x52db31eb, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x768d7937, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x1bbb3266, "");
SYMBOL_CRC(cfg80211_new_sta, 0x14f50429, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xbd1c0505, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xbf8b2961, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x86688f69, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xc5ea6877, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x235c62ce, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xdb85985d, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x0982631b, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x76aedc73, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xda85fcb5, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x5cd801fb, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x1140eb94, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x955f307e, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xc91267c1, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xc0cf588f, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x67a60aa6, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xae5e606e, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xc53b988c, "");
SYMBOL_CRC(cfg80211_probe_status, 0xddfc4083, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xa13b7acf, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x4790c628, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xb45e5626, "");
SYMBOL_CRC(cfg80211_ft_event, 0xe1a99ec9, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x963a8568, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x4f591c36, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x21507932, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x13d17024, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x942f77da, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x42223d92, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x03b7fe32, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x23300ad2, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xcef86867, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x0bfb3634, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x924edbad, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x4f6c778a, "");
SYMBOL_CRC(cfg80211_cac_event, 0x223e6891, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x3ba91e42, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x4d36ac3c, "");
SYMBOL_CRC(cfg80211_connect_done, 0x69f9b950, "");
SYMBOL_CRC(cfg80211_roamed, 0x7af91b90, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x7aee5c59, "");
SYMBOL_CRC(cfg80211_disconnected, 0x51ae3876, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x5a526a4c, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x620194a5, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x739b1310, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x34efed39, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xffaeb427, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0xf6b8efd4, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x3b4d04e5, "");
SYMBOL_CRC(wdev_chandef, 0xa72a3c7e, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x5012b8df, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x09e08f06, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x804aad7e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0x68184c0a, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x1cdfb37a, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0x8e6fb91d, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x4d154215, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x24dff0ba, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x465b0c76, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x8deed60b, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x1f5edc6c, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xf7fd7f92, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7851ac7d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x66d265ec, "__pskb_pull_tail" },
	{ 0xd24fac90, "netif_rx" },
	{ 0x66cc9fc9, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x31f8adc1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91bae42e, "bpf_trace_run3" },
	{ 0x3fbb758, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x22290802, "get_net_ns_by_pid" },
	{ 0x584c406a, "debugfs_rename" },
	{ 0xd4a570dc, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x30a6a055, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c0cfd66, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xca46137d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xd755a805, "kmalloc_trace_noprof" },
	{ 0xd4eb31ac, "genl_unregister_family" },
	{ 0x353f2505, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x9d044393, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6a186330, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe5acc8c9, "debugfs_create_dir" },
	{ 0x16114986, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1daef150, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaca0f255, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50540455, "get_net_ns_by_fd" },
	{ 0x98c01ff, "class_register" },
	{ 0xdf57892f, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7136228e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3fb48a0c, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xaeb324f2, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x7eba269b, "bpf_trace_run4" },
	{ 0x4ed9e341, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdf780a8b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x44ae0d8d, "dev_set_name" },
	{ 0x684e4498, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9f792cb, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x4394abc8, "bpf_trace_run6" },
	{ 0xa55e1d4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe0691def, "request_firmware" },
	{ 0xf4990a3, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x8154bbf, "device_initialize" },
	{ 0x69d67c48, "genlmsg_put" },
	{ 0x553f0210, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x806f4a3, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5442af13, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9512b9e6, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x54b59e3a, "unregister_netdevice_queue" },
	{ 0xd4bcacf4, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd65eb0fe, "netlink_broadcast_filtered" },
	{ 0x88a15636, "keyring_alloc" },
	{ 0xe1567bf5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbffb18f, "device_rename" },
	{ 0xe1e6248f, "trace_event_buffer_commit" },
	{ 0xd1211ef, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaacb1f58, "put_device" },
	{ 0xce871184, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xd6378ea, "__alloc_skb" },
	{ 0x4c726cb4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x96a6a1c1, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6dba04e3, "inet_csk_get_port" },
	{ 0xeba838e, "key_put" },
	{ 0xc2e40775, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4750c7b4, "__dev_get_by_index" },
	{ 0x69957662, "perf_trace_run_bpf_submit" },
	{ 0x7e5e9df4, "init_net" },
	{ 0x3bdb6620, "request_firmware_nowait" },
	{ 0x533a30fa, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61f00a9d, "device_add" },
	{ 0x28cb1760, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x119e6995, "init_uts_ns" },
	{ 0xc392ccee, "platform_device_unregister" },
	{ 0x6397a190, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfc7ea23d, "dev_get_by_index" },
	{ 0x41d57897, "bpf_trace_run5" },
	{ 0xa9db2557, "kfree_skb_reason" },
	{ 0x4cdf4844, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37f8d935, "skb_push" },
	{ 0xbb6f9f59, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf4198f70, "wireless_send_event" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf55dab90, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3408c01c, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6de6568b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcc96b27b, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf4564c94, "bpf_trace_run1" },
	{ 0x723e86e0, "device_del" },
	{ 0x4167f4fc, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "F28D3033418915882068B82");
